com.sun.grid.jgdi.configuration

## Class JobImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.JobImpl

- All Implemented Interfaces:
    GEObject, Job, java.io.Serializable, java.lang.Cloneable

      public class JobImpl
      extends GEObjectImpl
      implements Job

  Java representation of the cull object JB_Type defined in sge_all_listsL.template

  Warning: The JobImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobImpl()` Create a new instance of JobImpl.
    `JobImpl(boolean initWithDefaultValues)` Create a new instanceof
    `JobImpl(int jobNumber)` Create a new instance of JobImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBinding(Binding abinding)` Add a com.sun.grid.jgdi.configuration.Binding attribute.
    `void` | `addHardQueue(java.lang.String ahardQueue)` Add a java.lang.String attribute.
    `void` | `addHardResource(ComplexEntry ahardResource)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `addJaAdPredecessor(JobReference ajaAdPredecessor)` Add a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `addJaAdRequest(JobReference ajaAdRequest)` Add a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `addJaAdSuccessor(JobReference ajaAdSuccessor)` Add a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `addJaAHIds(Range ajaAHIds)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addJaNHIds(Range ajaNHIds)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addJaOHIds(Range ajaOHIds)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addJaSHIds(Range ajaSHIds)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addJaStructure(Range ajaStructure)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addJaTasks(JobTask ajaTasks)` Add a com.sun.grid.jgdi.configuration.JobTask attribute.
    `void` | `addJaTemplate(JobTask ajaTemplate)` Add a com.sun.grid.jgdi.configuration.JobTask attribute.
    `void` | `addJaUHIds(Range ajaUHIds)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addJidPredecessor(JobReference ajidPredecessor)` Add a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `addJidRequest(JobReference ajidRequest)` Add a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `addJidSuccessor(JobReference ajidSuccessor)` Add a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `addJobArgs(java.lang.String ajobArgs)` Add a java.lang.String attribute.
    `void` | `addMail(MailReceiver amail)` Add a com.sun.grid.jgdi.configuration.MailReceiver attribute.
    `void` | `addMasterHardQueue(java.lang.String amasterHardQueue)` Add a java.lang.String attribute.
    `void` | `addPathAliases(PathAlias apathAliases)` Add a com.sun.grid.jgdi.configuration.PathAlias attribute.
    `void` | `addPeRange(Range apeRange)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addShell(PathName ashell)` Add a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `addSoftQueue(java.lang.String asoftQueue)` Add a java.lang.String attribute.
    `void` | `addSoftResource(ComplexEntry asoftResource)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `addStderrPath(PathName astderrPath)` Add a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `addStdinPath(PathName astdinPath)` Add a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `addStdoutPath(PathName astdoutPath)` Add a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `addUser(java.lang.String auser)` Add a java.lang.String attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getAccount()` Get the value of the account attribute.
    `int` | `getAr()` Get the value of the ar attribute.
    `Binding` | `getBinding(int index)` Get a com.sun.grid.jgdi.configuration.Binding attribute at an index.
    `int` | `getBindingCount()` Get the number of com.sun.grid.jgdi.configuration.Binding attributes.
    `java.util.List<Binding>` | `getBindingList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Binding attributes.
    `int` | `getCheckpointAttr()` Get the value of the checkpointAttr attribute.
    `int` | `getCheckpointInterval()` Get the value of the checkpointInterval attribute.
    `java.lang.String` | `getCheckpointName()` Get the value of the checkpointName attribute.
    `Checkpoint` | `getCheckpointObject()` Get the value of the checkpointObject attribute.
    `java.lang.String` | `getContext(java.lang.String key)` Get the context attribute for a key.
    `int` | `getContextCount()` Get the number of keys which have the attribute context set.
    `java.util.Set<java.lang.String>` | `getContextKeys()` Get the set of keys which have the attribute context set.
    `java.lang.String` | `getCred()` Get the value of the cred attribute.
    `java.lang.String` | `getCwd()` Get the value of the cwd attribute.
    `int` | `getDeadline()` Get the value of the deadline attribute.
    `java.lang.String` | `getDefaultContext()` Get the default value of the attribute context.
    `java.lang.String` | `getDefaultEnv()` Get the default value of the attribute env.
    `java.lang.String` | `getDepartment()` Get the value of the department attribute.
    `java.lang.String` | `getDirectivePrefix()` Get the value of the directivePrefix attribute.
    `double` | `getDlcontr()` Get the value of the dlcontr attribute.
    `java.lang.String` | `getEnv(java.lang.String key)` Get the env attribute for a key.
    `int` | `getEnvCount()` Get the number of keys which have the attribute env set.
    `java.util.Set<java.lang.String>` | `getEnvKeys()` Get the set of keys which have the attribute env set.
    `java.lang.String` | `getExecFile()` Get the value of the execFile attribute.
    `int` | `getExecutionTime()` Get the value of the executionTime attribute.
    `int` | `getGid()` Get the value of the gid attribute.
    `java.lang.String` | `getGroup()` Get the value of the group attribute.
    `java.lang.String` | `getHardQueue(int index)` Get a java.lang.String attribute at an index.
    `int` | `getHardQueueCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getHardQueueList()` Get a unmodifiable list of all java.lang.String attributes.
    `ComplexEntry` | `getHardResource(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getHardResourceCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getHardResourceList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.lang.String` | `getHost()` Get the value of the host attribute.
    `JobReference` | `getJaAdPredecessor(int index)` Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `int` | `getJaAdPredecessorCount()` Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.util.List<JobReference>` | `getJaAdPredecessorList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
    `JobReference` | `getJaAdRequest(int index)` Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `int` | `getJaAdRequestCount()` Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.util.List<JobReference>` | `getJaAdRequestList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
    `JobReference` | `getJaAdSuccessor(int index)` Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `int` | `getJaAdSuccessorCount()` Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.util.List<JobReference>` | `getJaAdSuccessorList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
    `Range` | `getJaAHIds(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getJaAHIdsCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getJaAHIdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `Range` | `getJaNHIds(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getJaNHIdsCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getJaNHIdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `Range` | `getJaOHIds(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getJaOHIdsCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getJaOHIdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `Range` | `getJaSHIds(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getJaSHIdsCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getJaSHIdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `Range` | `getJaStructure(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getJaStructureCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getJaStructureList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `int` | `getJaTaskConcurrency()` Get the value of the jaTaskConcurrency attribute.
    `JobTask` | `getJaTasks(int index)` Get a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
    `int` | `getJaTasksCount()` Get the number of com.sun.grid.jgdi.configuration.JobTask attributes.
    `java.util.List<JobTask>` | `getJaTasksList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobTask attributes.
    `JobTask` | `getJaTemplate(int index)` Get a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
    `int` | `getJaTemplateCount()` Get the number of com.sun.grid.jgdi.configuration.JobTask attributes.
    `java.util.List<JobTask>` | `getJaTemplateList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobTask attributes.
    `Range` | `getJaUHIds(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getJaUHIdsCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getJaUHIdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `JobReference` | `getJidPredecessor(int index)` Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `int` | `getJidPredecessorCount()` Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.util.List<JobReference>` | `getJidPredecessorList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
    `JobReference` | `getJidRequest(int index)` Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `int` | `getJidRequestCount()` Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.util.List<JobReference>` | `getJidRequestList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
    `JobReference` | `getJidSuccessor(int index)` Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `int` | `getJidSuccessorCount()` Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.util.List<JobReference>` | `getJidSuccessorList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
    `java.lang.String` | `getJobArgs(int index)` Get a java.lang.String attribute at an index.
    `int` | `getJobArgsCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getJobArgsList()` Get a unmodifiable list of all java.lang.String attributes.
    `java.lang.String` | `getJobName()` Get the value of the jobName attribute.
    `int` | `getJobNumber()` Get the value of the jobNumber attribute.
    `int` | `getJobshare()` Get the value of the jobshare attribute.
    `MailReceiver` | `getMail(int index)` Get a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
    `int` | `getMailCount()` Get the number of com.sun.grid.jgdi.configuration.MailReceiver attributes.
    `java.util.List<MailReceiver>` | `getMailList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.MailReceiver attributes.
    `int` | `getMailOptions()` Get the value of the mailOptions attribute.
    `java.lang.String` | `getMasterHardQueue(int index)` Get a java.lang.String attribute at an index.
    `int` | `getMasterHardQueueCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getMasterHardQueueList()` Get a unmodifiable list of all java.lang.String attributes.
    `double` | `getNppri()` Get the value of the nppri attribute.
    `double` | `getNurg()` Get the value of the nurg attribute.
    `int` | `getOverrideTickets()` Get the value of the overrideTickets attribute.
    `java.lang.String` | `getOwner()` Get the value of the owner attribute.
    `PathAlias` | `getPathAliases(int index)` Get a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
    `int` | `getPathAliasesCount()` Get the number of com.sun.grid.jgdi.configuration.PathAlias attributes.
    `java.util.List<PathAlias>` | `getPathAliasesList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathAlias attributes.
    `java.lang.String` | `getPe()` Get the value of the pe attribute.
    `Range` | `getPeRange(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getPeRangeCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getPeRangeList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `int` | `getPriority()` Get the value of the priority attribute.
    `java.lang.String` | `getProject()` Get the value of the project attribute.
    `int` | `getPty()` Get the value of the pty attribute.
    `int` | `getRestart()` Get the value of the restart attribute.
    `double` | `getRrcontr()` Get the value of the rrcontr attribute.
    `java.lang.String` | `getScriptFile()` Get the value of the scriptFile attribute.
    `java.lang.String` | `getScriptPtr()` Get the value of the scriptPtr attribute.
    `int` | `getScriptSize()` Get the value of the scriptSize attribute.
    `java.lang.String` | `getSession()` Get the value of the session attribute.
    `PathName` | `getShell(int index)` Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `int` | `getShellCount()` Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
    `java.util.List<PathName>` | `getShellList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
    `java.lang.String` | `getSoftQueue(int index)` Get a java.lang.String attribute at an index.
    `int` | `getSoftQueueCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getSoftQueueList()` Get a unmodifiable list of all java.lang.String attributes.
    `ComplexEntry` | `getSoftResource(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getSoftResourceCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getSoftResourceList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `PathName` | `getStderrPath(int index)` Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `int` | `getStderrPathCount()` Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
    `java.util.List<PathName>` | `getStderrPathList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
    `PathName` | `getStdinPath(int index)` Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `int` | `getStdinPathCount()` Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
    `java.util.List<PathName>` | `getStdinPathList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
    `PathName` | `getStdoutPath(int index)` Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `int` | `getStdoutPathCount()` Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
    `java.util.List<PathName>` | `getStdoutPathList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
    `int` | `getSubmissionTime()` Get the value of the submissionTime attribute.
    `java.lang.String` | `getTgt()` Get the value of the tgt attribute.
    `int` | `getType()` Get the value of the type attribute.
    `int` | `getUid()` Get the value of the uid attribute.
    `double` | `getUrg()` Get the value of the urg attribute.
    `java.lang.String` | `getUser(int index)` Get a java.lang.String attribute at an index.
    `int` | `getUserCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getUserList()` Get a unmodifiable list of all java.lang.String attributes.
    `int` | `getVerify()` Get the value of the verify attribute.
    `int` | `getVerifySuitableQueues()` Get the value of the verifySuitableQueues attribute.
    `int` | `getVersion()` Get the value of the version attribute.
    `double` | `getWtcontr()` Get the value of the wtcontr attribute.
    `boolean` | `isMergeStderr()` Get the value of the mergeStderr attribute.
    `boolean` | `isNotify()` Get the value of the notify attribute.
    `boolean` | `isReserve()` Get the value of the reserve attribute.
    `boolean` | `isSetAccount()` Determine if the account attribute is set
    `boolean` | `isSetAr()` Determine if the ar attribute is set
    `boolean` | `isSetBinding()` Determine if the binding attribute is set
    `boolean` | `isSetCheckpointAttr()` Determine if the checkpointAttr attribute is set
    `boolean` | `isSetCheckpointInterval()` Determine if the checkpointInterval attribute is set
    `boolean` | `isSetCheckpointName()` Determine if the checkpointName attribute is set
    `boolean` | `isSetCheckpointObject()` Determine if the checkpointObject attribute is set
    `boolean` | `isSetContext()` Determine if any context attribute is set
    `boolean` | `isSetContext(java.lang.String key)` Determine if any context attribute is for a key is set
    `boolean` | `isSetCred()` Determine if the cred attribute is set
    `boolean` | `isSetCwd()` Determine if the cwd attribute is set
    `boolean` | `isSetDeadline()` Determine if the deadline attribute is set
    `boolean` | `isSetDepartment()` Determine if the department attribute is set
    `boolean` | `isSetDirectivePrefix()` Determine if the directivePrefix attribute is set
    `boolean` | `isSetDlcontr()` Determine if the dlcontr attribute is set
    `boolean` | `isSetEnv()` Determine if any env attribute is set
    `boolean` | `isSetEnv(java.lang.String key)` Determine if any env attribute is for a key is set
    `boolean` | `isSetExecFile()` Determine if the execFile attribute is set
    `boolean` | `isSetExecutionTime()` Determine if the executionTime attribute is set
    `boolean` | `isSetGid()` Determine if the gid attribute is set
    `boolean` | `isSetGroup()` Determine if the group attribute is set
    `boolean` | `isSetHardQueue()` Determine if the hardQueue attribute is set
    `boolean` | `isSetHardResource()` Determine if the hardResource attribute is set
    `boolean` | `isSetHost()` Determine if the host attribute is set
    `boolean` | `isSetJaAdPredecessor()` Determine if the jaAdPredecessor attribute is set
    `boolean` | `isSetJaAdRequest()` Determine if the jaAdRequest attribute is set
    `boolean` | `isSetJaAdSuccessor()` Determine if the jaAdSuccessor attribute is set
    `boolean` | `isSetJaAHIds()` Determine if the jaAHIds attribute is set
    `boolean` | `isSetJaNHIds()` Determine if the jaNHIds attribute is set
    `boolean` | `isSetJaOHIds()` Determine if the jaOHIds attribute is set
    `boolean` | `isSetJaSHIds()` Determine if the jaSHIds attribute is set
    `boolean` | `isSetJaStructure()` Determine if the jaStructure attribute is set
    `boolean` | `isSetJaTaskConcurrency()` Determine if the jaTaskConcurrency attribute is set
    `boolean` | `isSetJaTasks()` Determine if the jaTasks attribute is set
    `boolean` | `isSetJaTemplate()` Determine if the jaTemplate attribute is set
    `boolean` | `isSetJaUHIds()` Determine if the jaUHIds attribute is set
    `boolean` | `isSetJidPredecessor()` Determine if the jidPredecessor attribute is set
    `boolean` | `isSetJidRequest()` Determine if the jidRequest attribute is set
    `boolean` | `isSetJidSuccessor()` Determine if the jidSuccessor attribute is set
    `boolean` | `isSetJobArgs()` Determine if the jobArgs attribute is set
    `boolean` | `isSetJobName()` Determine if the jobName attribute is set
    `boolean` | `isSetJobNumber()` Determine if the jobNumber attribute is set
    `boolean` | `isSetJobshare()` Determine if the jobshare attribute is set
    `boolean` | `isSetMail()` Determine if the mail attribute is set
    `boolean` | `isSetMailOptions()` Determine if the mailOptions attribute is set
    `boolean` | `isSetMasterHardQueue()` Determine if the masterHardQueue attribute is set
    `boolean` | `isSetMergeStderr()` Determine if the mergeStderr attribute is set
    `boolean` | `isSetNotify()` Determine if the notify attribute is set
    `boolean` | `isSetNppri()` Determine if the nppri attribute is set
    `boolean` | `isSetNurg()` Determine if the nurg attribute is set
    `boolean` | `isSetOverrideTickets()` Determine if the overrideTickets attribute is set
    `boolean` | `isSetOwner()` Determine if the owner attribute is set
    `boolean` | `isSetPathAliases()` Determine if the pathAliases attribute is set
    `boolean` | `isSetPe()` Determine if the pe attribute is set
    `boolean` | `isSetPeRange()` Determine if the peRange attribute is set
    `boolean` | `isSetPriority()` Determine if the priority attribute is set
    `boolean` | `isSetProject()` Determine if the project attribute is set
    `boolean` | `isSetPty()` Determine if the pty attribute is set
    `boolean` | `isSetReserve()` Determine if the reserve attribute is set
    `boolean` | `isSetRestart()` Determine if the restart attribute is set
    `boolean` | `isSetRrcontr()` Determine if the rrcontr attribute is set
    `boolean` | `isSetScriptFile()` Determine if the scriptFile attribute is set
    `boolean` | `isSetScriptPtr()` Determine if the scriptPtr attribute is set
    `boolean` | `isSetScriptSize()` Determine if the scriptSize attribute is set
    `boolean` | `isSetSession()` Determine if the session attribute is set
    `boolean` | `isSetShell()` Determine if the shell attribute is set
    `boolean` | `isSetSoftQueue()` Determine if the softQueue attribute is set
    `boolean` | `isSetSoftResource()` Determine if the softResource attribute is set
    `boolean` | `isSetStderrPath()` Determine if the stderrPath attribute is set
    `boolean` | `isSetStdinPath()` Determine if the stdinPath attribute is set
    `boolean` | `isSetStdoutPath()` Determine if the stdoutPath attribute is set
    `boolean` | `isSetSubmissionTime()` Determine if the submissionTime attribute is set
    `boolean` | `isSetTgt()` Determine if the tgt attribute is set
    `boolean` | `isSetType()` Determine if the type attribute is set
    `boolean` | `isSetUid()` Determine if the uid attribute is set
    `boolean` | `isSetUrg()` Determine if the urg attribute is set
    `boolean` | `isSetUser()` Determine if the user attribute is set
    `boolean` | `isSetVerify()` Determine if the verify attribute is set
    `boolean` | `isSetVerifySuitableQueues()` Determine if the verifySuitableQueues attribute is set
    `boolean` | `isSetVersion()` Determine if the version attribute is set
    `boolean` | `isSetWtcontr()` Determine if the wtcontr attribute is set
    `void` | `putContext(java.lang.String key, java.lang.String value)` Put the attribute context for a key.
    `void` | `putEnv(java.lang.String key, java.lang.String value)` Put the attribute env for a key.
    `void` | `removeAllBinding()` Remove all com.sun.grid.jgdi.configuration.Binding attributes.
    `void` | `removeAllContext()` Remove the attribute context for all keys.
    `void` | `removeAllEnv()` Remove the attribute env for all keys.
    `void` | `removeAllHardQueue()` Remove all java.lang.String attributes.
    `void` | `removeAllHardResource()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllJaAdPredecessor()` Remove all com.sun.grid.jgdi.configuration.JobReference attributes.
    `void` | `removeAllJaAdRequest()` Remove all com.sun.grid.jgdi.configuration.JobReference attributes.
    `void` | `removeAllJaAdSuccessor()` Remove all com.sun.grid.jgdi.configuration.JobReference attributes.
    `void` | `removeAllJaAHIds()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllJaNHIds()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllJaOHIds()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllJaSHIds()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllJaStructure()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllJaTasks()` Remove all com.sun.grid.jgdi.configuration.JobTask attributes.
    `void` | `removeAllJaTemplate()` Remove all com.sun.grid.jgdi.configuration.JobTask attributes.
    `void` | `removeAllJaUHIds()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllJidPredecessor()` Remove all com.sun.grid.jgdi.configuration.JobReference attributes.
    `void` | `removeAllJidRequest()` Remove all com.sun.grid.jgdi.configuration.JobReference attributes.
    `void` | `removeAllJidSuccessor()` Remove all com.sun.grid.jgdi.configuration.JobReference attributes.
    `void` | `removeAllJobArgs()` Remove all java.lang.String attributes.
    `void` | `removeAllMail()` Remove all com.sun.grid.jgdi.configuration.MailReceiver attributes.
    `void` | `removeAllMasterHardQueue()` Remove all java.lang.String attributes.
    `void` | `removeAllPathAliases()` Remove all com.sun.grid.jgdi.configuration.PathAlias attributes.
    `void` | `removeAllPeRange()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllShell()` Remove all com.sun.grid.jgdi.configuration.PathName attributes.
    `void` | `removeAllSoftQueue()` Remove all java.lang.String attributes.
    `void` | `removeAllSoftResource()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllStderrPath()` Remove all com.sun.grid.jgdi.configuration.PathName attributes.
    `void` | `removeAllStdinPath()` Remove all com.sun.grid.jgdi.configuration.PathName attributes.
    `void` | `removeAllStdoutPath()` Remove all com.sun.grid.jgdi.configuration.PathName attributes.
    `void` | `removeAllUser()` Remove all java.lang.String attributes.
    `boolean` | `removeBinding(Binding abinding)` Remote a specific com.sun.grid.jgdi.configuration.Binding attribute.
    `Binding` | `removeBinding(int index)` Remote a com.sun.grid.jgdi.configuration.Binding attribute at an index.
    `java.lang.String` | `removeContext(java.lang.String key)` remove the attribute context for a key.
    `java.lang.String` | `removeEnv(java.lang.String key)` remove the attribute env for a key.
    `java.lang.String` | `removeHardQueue(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeHardQueue(java.lang.String ahardQueue)` Remote a specific java.lang.String attribute.
    `boolean` | `removeHardResource(ComplexEntry ahardResource)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeHardResource(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `JobReference` | `removeJaAdPredecessor(int index)` Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `boolean` | `removeJaAdPredecessor(JobReference ajaAdPredecessor)` Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
    `JobReference` | `removeJaAdRequest(int index)` Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `boolean` | `removeJaAdRequest(JobReference ajaAdRequest)` Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
    `JobReference` | `removeJaAdSuccessor(int index)` Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `boolean` | `removeJaAdSuccessor(JobReference ajaAdSuccessor)` Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
    `Range` | `removeJaAHIds(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removeJaAHIds(Range ajaAHIds)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `Range` | `removeJaNHIds(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removeJaNHIds(Range ajaNHIds)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `Range` | `removeJaOHIds(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removeJaOHIds(Range ajaOHIds)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `Range` | `removeJaSHIds(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removeJaSHIds(Range ajaSHIds)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `Range` | `removeJaStructure(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removeJaStructure(Range ajaStructure)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `JobTask` | `removeJaTasks(int index)` Remote a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
    `boolean` | `removeJaTasks(JobTask ajaTasks)` Remote a specific com.sun.grid.jgdi.configuration.JobTask attribute.
    `JobTask` | `removeJaTemplate(int index)` Remote a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
    `boolean` | `removeJaTemplate(JobTask ajaTemplate)` Remote a specific com.sun.grid.jgdi.configuration.JobTask attribute.
    `Range` | `removeJaUHIds(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removeJaUHIds(Range ajaUHIds)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `JobReference` | `removeJidPredecessor(int index)` Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `boolean` | `removeJidPredecessor(JobReference ajidPredecessor)` Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
    `JobReference` | `removeJidRequest(int index)` Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `boolean` | `removeJidRequest(JobReference ajidRequest)` Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
    `JobReference` | `removeJidSuccessor(int index)` Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
    `boolean` | `removeJidSuccessor(JobReference ajidSuccessor)` Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
    `java.lang.String` | `removeJobArgs(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeJobArgs(java.lang.String ajobArgs)` Remote a specific java.lang.String attribute.
    `MailReceiver` | `removeMail(int index)` Remote a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
    `boolean` | `removeMail(MailReceiver amail)` Remote a specific com.sun.grid.jgdi.configuration.MailReceiver attribute.
    `java.lang.String` | `removeMasterHardQueue(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeMasterHardQueue(java.lang.String amasterHardQueue)` Remote a specific java.lang.String attribute.
    `PathAlias` | `removePathAliases(int index)` Remote a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
    `boolean` | `removePathAliases(PathAlias apathAliases)` Remote a specific com.sun.grid.jgdi.configuration.PathAlias attribute.
    `Range` | `removePeRange(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removePeRange(Range apeRange)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `PathName` | `removeShell(int index)` Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `boolean` | `removeShell(PathName ashell)` Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
    `java.lang.String` | `removeSoftQueue(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeSoftQueue(java.lang.String asoftQueue)` Remote a specific java.lang.String attribute.
    `boolean` | `removeSoftResource(ComplexEntry asoftResource)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeSoftResource(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `PathName` | `removeStderrPath(int index)` Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `boolean` | `removeStderrPath(PathName astderrPath)` Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
    `PathName` | `removeStdinPath(int index)` Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `boolean` | `removeStdinPath(PathName astdinPath)` Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
    `PathName` | `removeStdoutPath(int index)` Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
    `boolean` | `removeStdoutPath(PathName astdoutPath)` Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
    `java.lang.String` | `removeUser(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeUser(java.lang.String auser)` Remote a specific java.lang.String attribute.
    `void` | `setAccount(java.lang.String aAccount)` Set the account attribute.
    `void` | `setAr(int aAr)` Set the ar attribute.
    `void` | `setBinding(int index, Binding abinding)` Set a com.sun.grid.jgdi.configuration.Binding attribute.
    `void` | `setCheckpointAttr(int aCheckpointAttr)` Set the checkpointAttr attribute.
    `void` | `setCheckpointInterval(int aCheckpointInterval)` Set the checkpointInterval attribute.
    `void` | `setCheckpointName(java.lang.String aCheckpointName)` Set the checkpointName attribute.
    `void` | `setCheckpointObject(Checkpoint aCheckpointObject)` Set the checkpointObject attribute.
    `void` | `setCred(java.lang.String aCred)` Set the cred attribute.
    `void` | `setCwd(java.lang.String aCwd)` Set the cwd attribute.
    `void` | `setDeadline(int aDeadline)` Set the deadline attribute.
    `void` | `setDepartment(java.lang.String aDepartment)` Set the department attribute.
    `void` | `setDirectivePrefix(java.lang.String aDirectivePrefix)` Set the directivePrefix attribute.
    `void` | `setDlcontr(double aDlcontr)` Set the dlcontr attribute.
    `void` | `setExecFile(java.lang.String aExecFile)` Set the execFile attribute.
    `void` | `setExecutionTime(int aExecutionTime)` Set the executionTime attribute.
    `void` | `setGid(int aGid)` Set the gid attribute.
    `void` | `setGroup(java.lang.String aGroup)` Set the group attribute.
    `void` | `setHardQueue(int index, java.lang.String ahardQueue)` Set a java.lang.String attribute.
    `void` | `setHardResource(int index, ComplexEntry ahardResource)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setHost(java.lang.String aHost)` Set the host attribute.
    `void` | `setJaAdPredecessor(int index, JobReference ajaAdPredecessor)` Set a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `setJaAdRequest(int index, JobReference ajaAdRequest)` Set a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `setJaAdSuccessor(int index, JobReference ajaAdSuccessor)` Set a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `setJaAHIds(int index, Range ajaAHIds)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setJaNHIds(int index, Range ajaNHIds)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setJaOHIds(int index, Range ajaOHIds)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setJaSHIds(int index, Range ajaSHIds)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setJaStructure(int index, Range ajaStructure)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setJaTaskConcurrency(int aJaTaskConcurrency)` Set the jaTaskConcurrency attribute.
    `void` | `setJaTasks(int index, JobTask ajaTasks)` Set a com.sun.grid.jgdi.configuration.JobTask attribute.
    `void` | `setJaTemplate(int index, JobTask ajaTemplate)` Set a com.sun.grid.jgdi.configuration.JobTask attribute.
    `void` | `setJaUHIds(int index, Range ajaUHIds)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setJidPredecessor(int index, JobReference ajidPredecessor)` Set a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `setJidRequest(int index, JobReference ajidRequest)` Set a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `setJidSuccessor(int index, JobReference ajidSuccessor)` Set a com.sun.grid.jgdi.configuration.JobReference attribute.
    `void` | `setJobArgs(int index, java.lang.String ajobArgs)` Set a java.lang.String attribute.
    `void` | `setJobName(java.lang.String aJobName)` Set the jobName attribute.
    `void` | `setJobNumber(int aJobNumber)` Set the jobNumber attribute.
    `void` | `setJobshare(int aJobshare)` Set the jobshare attribute.
    `void` | `setMail(int index, MailReceiver amail)` Set a com.sun.grid.jgdi.configuration.MailReceiver attribute.
    `void` | `setMailOptions(int aMailOptions)` Set the mailOptions attribute.
    `void` | `setMasterHardQueue(int index, java.lang.String amasterHardQueue)` Set a java.lang.String attribute.
    `void` | `setMergeStderr(boolean aMergeStderr)` Set the mergeStderr attribute.
    `void` | `setNotify(boolean aNotify)` Set the notify attribute.
    `void` | `setNppri(double aNppri)` Set the nppri attribute.
    `void` | `setNurg(double aNurg)` Set the nurg attribute.
    `void` | `setOverrideTickets(int aOverrideTickets)` Set the overrideTickets attribute.
    `void` | `setOwner(java.lang.String aOwner)` Set the owner attribute.
    `void` | `setPathAliases(int index, PathAlias apathAliases)` Set a com.sun.grid.jgdi.configuration.PathAlias attribute.
    `void` | `setPe(java.lang.String aPe)` Set the pe attribute.
    `void` | `setPeRange(int index, Range apeRange)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setPriority(int aPriority)` Set the priority attribute.
    `void` | `setProject(java.lang.String aProject)` Set the project attribute.
    `void` | `setPty(int aPty)` Set the pty attribute.
    `void` | `setReserve(boolean aReserve)` Set the reserve attribute.
    `void` | `setRestart(int aRestart)` Set the restart attribute.
    `void` | `setRrcontr(double aRrcontr)` Set the rrcontr attribute.
    `void` | `setScriptFile(java.lang.String aScriptFile)` Set the scriptFile attribute.
    `void` | `setScriptPtr(java.lang.String aScriptPtr)` Set the scriptPtr attribute.
    `void` | `setScriptSize(int aScriptSize)` Set the scriptSize attribute.
    `void` | `setSession(java.lang.String aSession)` Set the session attribute.
    `void` | `setShell(int index, PathName ashell)` Set a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `setSoftQueue(int index, java.lang.String asoftQueue)` Set a java.lang.String attribute.
    `void` | `setSoftResource(int index, ComplexEntry asoftResource)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setStderrPath(int index, PathName astderrPath)` Set a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `setStdinPath(int index, PathName astdinPath)` Set a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `setStdoutPath(int index, PathName astdoutPath)` Set a com.sun.grid.jgdi.configuration.PathName attribute.
    `void` | `setSubmissionTime(int aSubmissionTime)` Set the submissionTime attribute.
    `void` | `setTgt(java.lang.String aTgt)` Set the tgt attribute.
    `void` | `setType(int aType)` Set the type attribute.
    `void` | `setUid(int aUid)` Set the uid attribute.
    `void` | `setUrg(double aUrg)` Set the urg attribute.
    `void` | `setUser(int index, java.lang.String auser)` Set a java.lang.String attribute.
    `void` | `setVerify(int aVerify)` Set the verify attribute.
    `void` | `setVerifySuitableQueues(int aVerifySuitableQueues)` Set the verifySuitableQueues attribute.
    `void` | `setVersion(int aVersion)` Set the version attribute.
    `void` | `setWtcontr(double aWtcontr)` Set the wtcontr attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### JobImpl

          public JobImpl()

      Create a new instance of JobImpl. The new instance will not be initialized with the default values.

    - #### JobImpl

          public JobImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### JobImpl

          public JobImpl(int jobNumber)

      Create a new instance of JobImpl

  - ### Method Detail

    - #### isSetJobNumber

          public boolean isSetJobNumber()

      Determine if the jobNumber attribute is set
      Specified by:
        `isSetJobNumber` in interface `Job`
      Returns:
        `true` if the jobNumber attribute is set

    - #### setJobNumber

          public void setJobNumber(int aJobNumber)

      Set the jobNumber attribute.
      Specified by:
        `setJobNumber` in interface `Job`
      Parameters:
        `aJobNumber` - the new value for the jobNumber attribute

    - #### getJobNumber

          public int getJobNumber()

      Get the value of the jobNumber attribute.
      Specified by:
        `getJobNumber` in interface `Job`
      Returns:
        the value of the jobNumber attribute

    - #### isSetJobName

          public boolean isSetJobName()

      Determine if the jobName attribute is set
      Specified by:
        `isSetJobName` in interface `Job`
      Returns:
        `true` if the jobName attribute is set

    - #### setJobName

          public void setJobName(java.lang.String aJobName)

      Set the jobName attribute.
      Specified by:
        `setJobName` in interface `Job`
      Parameters:
        `aJobName` - the new value for the jobName attribute

    - #### getJobName

          public java.lang.String getJobName()

      Get the value of the jobName attribute.
      Specified by:
        `getJobName` in interface `Job`
      Returns:
        the value of the jobName attribute

    - #### isSetVersion

          public boolean isSetVersion()

      Determine if the version attribute is set
      Specified by:
        `isSetVersion` in interface `Job`
      Returns:
        `true` if the version attribute is set

    - #### setVersion

          public void setVersion(int aVersion)

      Set the version attribute.
      Parameters:
        `aVersion` - the new value for the version attribute

    - #### getVersion

          public int getVersion()

      Get the value of the version attribute.
      Specified by:
        `getVersion` in interface `Job`
      Returns:
        the value of the version attribute

    - #### addJidRequest

          public void addJidRequest(JobReference ajidRequest)

      Add a com.sun.grid.jgdi.configuration.JobReference attribute.
      Specified by:
        `addJidRequest` in interface `Job`
      Parameters:
        `ajidRequest` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### setJidRequest

          public void setJidRequest(int index,
                                    JobReference ajidRequest)

      Set a com.sun.grid.jgdi.configuration.JobReference attribute.
      Specified by:
        `setJidRequest` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobReference attribute
        `ajidRequest` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### removeAllJidRequest

          public void removeAllJidRequest()

      Remove all com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `removeAllJidRequest` in interface `Job`

    - #### removeJidRequest

          public JobReference removeJidRequest(int index)

      Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Specified by:
        `removeJidRequest` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobReference attribute or `null` if no attribute at this index is stored

    - #### removeJidRequest

          public boolean removeJidRequest(JobReference ajidRequest)

      Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
      Specified by:
        `removeJidRequest` in interface `Job`
      Parameters:
        `ajidRequest` - the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobReference attribute has been removed

    - #### getJidRequestList

          public java.util.List<JobReference> getJidRequestList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `getJidRequestList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobReference attributes

    - #### getJidRequestCount

          public int getJidRequestCount()

      Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `getJidRequestCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### getJidRequest

          public JobReference getJidRequest(int index)

      Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Specified by:
        `getJidRequest` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobReference attribute

    - #### isSetJidRequest

          public boolean isSetJidRequest()

      Determine if the jidRequest attribute is set
      Specified by:
        `isSetJidRequest` in interface `Job`
      Returns:
        `true` if the jidRequest attribute is set

    - #### addJidPredecessor

          public void addJidPredecessor(JobReference ajidPredecessor)

      Add a com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `ajidPredecessor` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### setJidPredecessor

          public void setJidPredecessor(int index,
                                        JobReference ajidPredecessor)

      Set a com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobReference attribute
        `ajidPredecessor` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### removeAllJidPredecessor

          public void removeAllJidPredecessor()

      Remove all com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### removeJidPredecessor

          public JobReference removeJidPredecessor(int index)

      Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobReference attribute or `null` if no attribute at this index is stored

    - #### removeJidPredecessor

          public boolean removeJidPredecessor(JobReference ajidPredecessor)

      Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `ajidPredecessor` - the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobReference attribute has been removed

    - #### getJidPredecessorList

          public java.util.List<JobReference> getJidPredecessorList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `getJidPredecessorList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobReference attributes

    - #### getJidPredecessorCount

          public int getJidPredecessorCount()

      Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `getJidPredecessorCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### getJidPredecessor

          public JobReference getJidPredecessor(int index)

      Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Specified by:
        `getJidPredecessor` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobReference attribute

    - #### isSetJidPredecessor

          public boolean isSetJidPredecessor()

      Determine if the jidPredecessor attribute is set
      Specified by:
        `isSetJidPredecessor` in interface `Job`
      Returns:
        `true` if the jidPredecessor attribute is set

    - #### addJidSuccessor

          public void addJidSuccessor(JobReference ajidSuccessor)

      Add a com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `ajidSuccessor` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### setJidSuccessor

          public void setJidSuccessor(int index,
                                      JobReference ajidSuccessor)

      Set a com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobReference attribute
        `ajidSuccessor` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### removeAllJidSuccessor

          public void removeAllJidSuccessor()

      Remove all com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### removeJidSuccessor

          public JobReference removeJidSuccessor(int index)

      Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobReference attribute or `null` if no attribute at this index is stored

    - #### removeJidSuccessor

          public boolean removeJidSuccessor(JobReference ajidSuccessor)

      Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `ajidSuccessor` - the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobReference attribute has been removed

    - #### getJidSuccessorList

          public java.util.List<JobReference> getJidSuccessorList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `getJidSuccessorList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobReference attributes

    - #### getJidSuccessorCount

          public int getJidSuccessorCount()

      Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `getJidSuccessorCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### getJidSuccessor

          public JobReference getJidSuccessor(int index)

      Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Specified by:
        `getJidSuccessor` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobReference attribute

    - #### isSetJidSuccessor

          public boolean isSetJidSuccessor()

      Determine if the jidSuccessor attribute is set
      Specified by:
        `isSetJidSuccessor` in interface `Job`
      Returns:
        `true` if the jidSuccessor attribute is set

    - #### addJaAdRequest

          public void addJaAdRequest(JobReference ajaAdRequest)

      Add a com.sun.grid.jgdi.configuration.JobReference attribute.
      Specified by:
        `addJaAdRequest` in interface `Job`
      Parameters:
        `ajaAdRequest` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### setJaAdRequest

          public void setJaAdRequest(int index,
                                     JobReference ajaAdRequest)

      Set a com.sun.grid.jgdi.configuration.JobReference attribute.
      Specified by:
        `setJaAdRequest` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobReference attribute
        `ajaAdRequest` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### removeAllJaAdRequest

          public void removeAllJaAdRequest()

      Remove all com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `removeAllJaAdRequest` in interface `Job`

    - #### removeJaAdRequest

          public JobReference removeJaAdRequest(int index)

      Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Specified by:
        `removeJaAdRequest` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobReference attribute or `null` if no attribute at this index is stored

    - #### removeJaAdRequest

          public boolean removeJaAdRequest(JobReference ajaAdRequest)

      Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
      Specified by:
        `removeJaAdRequest` in interface `Job`
      Parameters:
        `ajaAdRequest` - the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobReference attribute has been removed

    - #### getJaAdRequestList

          public java.util.List<JobReference> getJaAdRequestList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `getJaAdRequestList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobReference attributes

    - #### getJaAdRequestCount

          public int getJaAdRequestCount()

      Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `getJaAdRequestCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### getJaAdRequest

          public JobReference getJaAdRequest(int index)

      Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Specified by:
        `getJaAdRequest` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobReference attribute

    - #### isSetJaAdRequest

          public boolean isSetJaAdRequest()

      Determine if the jaAdRequest attribute is set
      Specified by:
        `isSetJaAdRequest` in interface `Job`
      Returns:
        `true` if the jaAdRequest attribute is set

    - #### addJaAdPredecessor

          public void addJaAdPredecessor(JobReference ajaAdPredecessor)

      Add a com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `ajaAdPredecessor` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### setJaAdPredecessor

          public void setJaAdPredecessor(int index,
                                         JobReference ajaAdPredecessor)

      Set a com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobReference attribute
        `ajaAdPredecessor` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### removeAllJaAdPredecessor

          public void removeAllJaAdPredecessor()

      Remove all com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### removeJaAdPredecessor

          public JobReference removeJaAdPredecessor(int index)

      Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobReference attribute or `null` if no attribute at this index is stored

    - #### removeJaAdPredecessor

          public boolean removeJaAdPredecessor(JobReference ajaAdPredecessor)

      Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `ajaAdPredecessor` - the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobReference attribute has been removed

    - #### getJaAdPredecessorList

          public java.util.List<JobReference> getJaAdPredecessorList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `getJaAdPredecessorList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobReference attributes

    - #### getJaAdPredecessorCount

          public int getJaAdPredecessorCount()

      Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `getJaAdPredecessorCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### getJaAdPredecessor

          public JobReference getJaAdPredecessor(int index)

      Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Specified by:
        `getJaAdPredecessor` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobReference attribute

    - #### isSetJaAdPredecessor

          public boolean isSetJaAdPredecessor()

      Determine if the jaAdPredecessor attribute is set
      Specified by:
        `isSetJaAdPredecessor` in interface `Job`
      Returns:
        `true` if the jaAdPredecessor attribute is set

    - #### addJaAdSuccessor

          public void addJaAdSuccessor(JobReference ajaAdSuccessor)

      Add a com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `ajaAdSuccessor` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### setJaAdSuccessor

          public void setJaAdSuccessor(int index,
                                       JobReference ajaAdSuccessor)

      Set a com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobReference attribute
        `ajaAdSuccessor` - the new com.sun.grid.jgdi.configuration.JobReference attribute

    - #### removeAllJaAdSuccessor

          public void removeAllJaAdSuccessor()

      Remove all com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### removeJaAdSuccessor

          public JobReference removeJaAdSuccessor(int index)

      Remote a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobReference attribute or `null` if no attribute at this index is stored

    - #### removeJaAdSuccessor

          public boolean removeJaAdSuccessor(JobReference ajaAdSuccessor)

      Remote a specific com.sun.grid.jgdi.configuration.JobReference attribute.
      Parameters:
        `ajaAdSuccessor` - the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobReference attribute has been removed

    - #### getJaAdSuccessorList

          public java.util.List<JobReference> getJaAdSuccessorList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `getJaAdSuccessorList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobReference attributes

    - #### getJaAdSuccessorCount

          public int getJaAdSuccessorCount()

      Get the number of com.sun.grid.jgdi.configuration.JobReference attributes.
      Specified by:
        `getJaAdSuccessorCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobReference attributes.

    - #### getJaAdSuccessor

          public JobReference getJaAdSuccessor(int index)

      Get a com.sun.grid.jgdi.configuration.JobReference attribute at an index.
      Specified by:
        `getJaAdSuccessor` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobReference attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobReference attribute

    - #### isSetJaAdSuccessor

          public boolean isSetJaAdSuccessor()

      Determine if the jaAdSuccessor attribute is set
      Specified by:
        `isSetJaAdSuccessor` in interface `Job`
      Returns:
        `true` if the jaAdSuccessor attribute is set

    - #### isSetSession

          public boolean isSetSession()

      Determine if the session attribute is set
      Specified by:
        `isSetSession` in interface `Job`
      Returns:
        `true` if the session attribute is set

    - #### setSession

          public void setSession(java.lang.String aSession)

      Set the session attribute.
      Specified by:
        `setSession` in interface `Job`
      Parameters:
        `aSession` - the new value for the session attribute

    - #### getSession

          public java.lang.String getSession()

      Get the value of the session attribute.
      Specified by:
        `getSession` in interface `Job`
      Returns:
        the value of the session attribute

    - #### isSetProject

          public boolean isSetProject()

      Determine if the project attribute is set
      Specified by:
        `isSetProject` in interface `Job`
      Returns:
        `true` if the project attribute is set

    - #### setProject

          public void setProject(java.lang.String aProject)

      Set the project attribute.
      Specified by:
        `setProject` in interface `Job`
      Parameters:
        `aProject` - the new value for the project attribute

    - #### getProject

          public java.lang.String getProject()

      Get the value of the project attribute.
      Specified by:
        `getProject` in interface `Job`
      Returns:
        the value of the project attribute

    - #### isSetDepartment

          public boolean isSetDepartment()

      Determine if the department attribute is set
      Specified by:
        `isSetDepartment` in interface `Job`
      Returns:
        `true` if the department attribute is set

    - #### setDepartment

          public void setDepartment(java.lang.String aDepartment)

      Set the department attribute.
      Specified by:
        `setDepartment` in interface `Job`
      Parameters:
        `aDepartment` - the new value for the department attribute

    - #### getDepartment

          public java.lang.String getDepartment()

      Get the value of the department attribute.
      Specified by:
        `getDepartment` in interface `Job`
      Returns:
        the value of the department attribute

    - #### isSetDirectivePrefix

          public boolean isSetDirectivePrefix()

      Determine if the directivePrefix attribute is set
      Specified by:
        `isSetDirectivePrefix` in interface `Job`
      Returns:
        `true` if the directivePrefix attribute is set

    - #### setDirectivePrefix

          public void setDirectivePrefix(java.lang.String aDirectivePrefix)

      Set the directivePrefix attribute.
      Specified by:
        `setDirectivePrefix` in interface `Job`
      Parameters:
        `aDirectivePrefix` - the new value for the directivePrefix attribute

    - #### getDirectivePrefix

          public java.lang.String getDirectivePrefix()

      Get the value of the directivePrefix attribute.
      Specified by:
        `getDirectivePrefix` in interface `Job`
      Returns:
        the value of the directivePrefix attribute

    - #### isSetExecFile

          public boolean isSetExecFile()

      Determine if the execFile attribute is set
      Specified by:
        `isSetExecFile` in interface `Job`
      Returns:
        `true` if the execFile attribute is set

    - #### setExecFile

          public void setExecFile(java.lang.String aExecFile)

      Set the execFile attribute.
      Specified by:
        `setExecFile` in interface `Job`
      Parameters:
        `aExecFile` - the new value for the execFile attribute

    - #### getExecFile

          public java.lang.String getExecFile()

      Get the value of the execFile attribute.
      Specified by:
        `getExecFile` in interface `Job`
      Returns:
        the value of the execFile attribute

    - #### isSetScriptFile

          public boolean isSetScriptFile()

      Determine if the scriptFile attribute is set
      Specified by:
        `isSetScriptFile` in interface `Job`
      Returns:
        `true` if the scriptFile attribute is set

    - #### setScriptFile

          public void setScriptFile(java.lang.String aScriptFile)

      Set the scriptFile attribute.
      Specified by:
        `setScriptFile` in interface `Job`
      Parameters:
        `aScriptFile` - the new value for the scriptFile attribute

    - #### getScriptFile

          public java.lang.String getScriptFile()

      Get the value of the scriptFile attribute.
      Specified by:
        `getScriptFile` in interface `Job`
      Returns:
        the value of the scriptFile attribute

    - #### isSetScriptSize

          public boolean isSetScriptSize()

      Determine if the scriptSize attribute is set
      Specified by:
        `isSetScriptSize` in interface `Job`
      Returns:
        `true` if the scriptSize attribute is set

    - #### setScriptSize

          public void setScriptSize(int aScriptSize)

      Set the scriptSize attribute.
      Specified by:
        `setScriptSize` in interface `Job`
      Parameters:
        `aScriptSize` - the new value for the scriptSize attribute

    - #### getScriptSize

          public int getScriptSize()

      Get the value of the scriptSize attribute.
      Specified by:
        `getScriptSize` in interface `Job`
      Returns:
        the value of the scriptSize attribute

    - #### isSetScriptPtr

          public boolean isSetScriptPtr()

      Determine if the scriptPtr attribute is set
      Specified by:
        `isSetScriptPtr` in interface `Job`
      Returns:
        `true` if the scriptPtr attribute is set

    - #### setScriptPtr

          public void setScriptPtr(java.lang.String aScriptPtr)

      Set the scriptPtr attribute.
      Specified by:
        `setScriptPtr` in interface `Job`
      Parameters:
        `aScriptPtr` - the new value for the scriptPtr attribute

    - #### getScriptPtr

          public java.lang.String getScriptPtr()

      Get the value of the scriptPtr attribute.
      Specified by:
        `getScriptPtr` in interface `Job`
      Returns:
        the value of the scriptPtr attribute

    - #### isSetSubmissionTime

          public boolean isSetSubmissionTime()

      Determine if the submissionTime attribute is set
      Specified by:
        `isSetSubmissionTime` in interface `Job`
      Returns:
        `true` if the submissionTime attribute is set

    - #### setSubmissionTime

          public void setSubmissionTime(int aSubmissionTime)

      Set the submissionTime attribute.
      Parameters:
        `aSubmissionTime` - the new value for the submissionTime attribute

    - #### getSubmissionTime

          public int getSubmissionTime()

      Get the value of the submissionTime attribute.
      Specified by:
        `getSubmissionTime` in interface `Job`
      Returns:
        the value of the submissionTime attribute

    - #### isSetExecutionTime

          public boolean isSetExecutionTime()

      Determine if the executionTime attribute is set
      Specified by:
        `isSetExecutionTime` in interface `Job`
      Returns:
        `true` if the executionTime attribute is set

    - #### setExecutionTime

          public void setExecutionTime(int aExecutionTime)

      Set the executionTime attribute.
      Specified by:
        `setExecutionTime` in interface `Job`
      Parameters:
        `aExecutionTime` - the new value for the executionTime attribute

    - #### getExecutionTime

          public int getExecutionTime()

      Get the value of the executionTime attribute.
      Specified by:
        `getExecutionTime` in interface `Job`
      Returns:
        the value of the executionTime attribute

    - #### isSetDeadline

          public boolean isSetDeadline()

      Determine if the deadline attribute is set
      Specified by:
        `isSetDeadline` in interface `Job`
      Returns:
        `true` if the deadline attribute is set

    - #### setDeadline

          public void setDeadline(int aDeadline)

      Set the deadline attribute.
      Specified by:
        `setDeadline` in interface `Job`
      Parameters:
        `aDeadline` - the new value for the deadline attribute

    - #### getDeadline

          public int getDeadline()

      Get the value of the deadline attribute.
      Specified by:
        `getDeadline` in interface `Job`
      Returns:
        the value of the deadline attribute

    - #### isSetOwner

          public boolean isSetOwner()

      Determine if the owner attribute is set
      Specified by:
        `isSetOwner` in interface `Job`
      Returns:
        `true` if the owner attribute is set

    - #### setOwner

          public void setOwner(java.lang.String aOwner)

      Set the owner attribute.
      Parameters:
        `aOwner` - the new value for the owner attribute

    - #### getOwner

          public java.lang.String getOwner()

      Get the value of the owner attribute.
      Specified by:
        `getOwner` in interface `Job`
      Returns:
        the value of the owner attribute

    - #### isSetUid

          public boolean isSetUid()

      Determine if the uid attribute is set
      Specified by:
        `isSetUid` in interface `Job`
      Returns:
        `true` if the uid attribute is set

    - #### setUid

          public void setUid(int aUid)

      Set the uid attribute.
      Parameters:
        `aUid` - the new value for the uid attribute

    - #### getUid

          public int getUid()

      Get the value of the uid attribute.
      Specified by:
        `getUid` in interface `Job`
      Returns:
        the value of the uid attribute

    - #### isSetGroup

          public boolean isSetGroup()

      Determine if the group attribute is set
      Specified by:
        `isSetGroup` in interface `Job`
      Returns:
        `true` if the group attribute is set

    - #### setGroup

          public void setGroup(java.lang.String aGroup)

      Set the group attribute.
      Parameters:
        `aGroup` - the new value for the group attribute

    - #### getGroup

          public java.lang.String getGroup()

      Get the value of the group attribute.
      Specified by:
        `getGroup` in interface `Job`
      Returns:
        the value of the group attribute

    - #### isSetGid

          public boolean isSetGid()

      Determine if the gid attribute is set
      Specified by:
        `isSetGid` in interface `Job`
      Returns:
        `true` if the gid attribute is set

    - #### setGid

          public void setGid(int aGid)

      Set the gid attribute.
      Parameters:
        `aGid` - the new value for the gid attribute

    - #### getGid

          public int getGid()

      Get the value of the gid attribute.
      Specified by:
        `getGid` in interface `Job`
      Returns:
        the value of the gid attribute

    - #### isSetAccount

          public boolean isSetAccount()

      Determine if the account attribute is set
      Specified by:
        `isSetAccount` in interface `Job`
      Returns:
        `true` if the account attribute is set

    - #### setAccount

          public void setAccount(java.lang.String aAccount)

      Set the account attribute.
      Specified by:
        `setAccount` in interface `Job`
      Parameters:
        `aAccount` - the new value for the account attribute

    - #### getAccount

          public java.lang.String getAccount()

      Get the value of the account attribute.
      Specified by:
        `getAccount` in interface `Job`
      Returns:
        the value of the account attribute

    - #### isSetCwd

          public boolean isSetCwd()

      Determine if the cwd attribute is set
      Specified by:
        `isSetCwd` in interface `Job`
      Returns:
        `true` if the cwd attribute is set

    - #### setCwd

          public void setCwd(java.lang.String aCwd)

      Set the cwd attribute.
      Specified by:
        `setCwd` in interface `Job`
      Parameters:
        `aCwd` - the new value for the cwd attribute

    - #### getCwd

          public java.lang.String getCwd()

      Get the value of the cwd attribute.
      Specified by:
        `getCwd` in interface `Job`
      Returns:
        the value of the cwd attribute

    - #### isSetNotify

          public boolean isSetNotify()

      Determine if the notify attribute is set
      Specified by:
        `isSetNotify` in interface `Job`
      Returns:
        `true` if the notify attribute is set

    - #### setNotify

          public void setNotify(boolean aNotify)

      Set the notify attribute.
      Specified by:
        `setNotify` in interface `Job`
      Parameters:
        `aNotify` - the new value for the notify attribute

    - #### isNotify

          public boolean isNotify()

      Get the value of the notify attribute.
      Specified by:
        `isNotify` in interface `Job`
      Returns:
        the value of the notify attribute

    - #### isSetType

          public boolean isSetType()

      Determine if the type attribute is set
      Specified by:
        `isSetType` in interface `Job`
      Returns:
        `true` if the type attribute is set

    - #### setType

          public void setType(int aType)

      Set the type attribute.
      Specified by:
        `setType` in interface `Job`
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          public int getType()

      Get the value of the type attribute.
      Specified by:
        `getType` in interface `Job`
      Returns:
        the value of the type attribute

    - #### isSetReserve

          public boolean isSetReserve()

      Determine if the reserve attribute is set
      Specified by:
        `isSetReserve` in interface `Job`
      Returns:
        `true` if the reserve attribute is set

    - #### setReserve

          public void setReserve(boolean aReserve)

      Set the reserve attribute.
      Specified by:
        `setReserve` in interface `Job`
      Parameters:
        `aReserve` - the new value for the reserve attribute

    - #### isReserve

          public boolean isReserve()

      Get the value of the reserve attribute.
      Specified by:
        `isReserve` in interface `Job`
      Returns:
        the value of the reserve attribute

    - #### isSetPriority

          public boolean isSetPriority()

      Determine if the priority attribute is set
      Specified by:
        `isSetPriority` in interface `Job`
      Returns:
        `true` if the priority attribute is set

    - #### setPriority

          public void setPriority(int aPriority)

      Set the priority attribute.
      Specified by:
        `setPriority` in interface `Job`
      Parameters:
        `aPriority` - the new value for the priority attribute

    - #### getPriority

          public int getPriority()

      Get the value of the priority attribute.
      Specified by:
        `getPriority` in interface `Job`
      Returns:
        the value of the priority attribute

    - #### isSetJobshare

          public boolean isSetJobshare()

      Determine if the jobshare attribute is set
      Specified by:
        `isSetJobshare` in interface `Job`
      Returns:
        `true` if the jobshare attribute is set

    - #### setJobshare

          public void setJobshare(int aJobshare)

      Set the jobshare attribute.
      Specified by:
        `setJobshare` in interface `Job`
      Parameters:
        `aJobshare` - the new value for the jobshare attribute

    - #### getJobshare

          public int getJobshare()

      Get the value of the jobshare attribute.
      Specified by:
        `getJobshare` in interface `Job`
      Returns:
        the value of the jobshare attribute

    - #### addShell

          public void addShell(PathName ashell)

      Add a com.sun.grid.jgdi.configuration.PathName attribute.
      Specified by:
        `addShell` in interface `Job`
      Parameters:
        `ashell` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### setShell

          public void setShell(int index,
                               PathName ashell)

      Set a com.sun.grid.jgdi.configuration.PathName attribute.
      Specified by:
        `setShell` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PathName attribute
        `ashell` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### removeAllShell

          public void removeAllShell()

      Remove all com.sun.grid.jgdi.configuration.PathName attributes.
      Specified by:
        `removeAllShell` in interface `Job`

    - #### removeShell

          public PathName removeShell(int index)

      Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Specified by:
        `removeShell` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PathName attribute or `null` if no attribute at this index is stored

    - #### removeShell

          public boolean removeShell(PathName ashell)

      Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
      Specified by:
        `removeShell` in interface `Job`
      Parameters:
        `ashell` - the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PathName attribute has been removed

    - #### getShellList

          public java.util.List<PathName> getShellList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
      Specified by:
        `getShellList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PathName attributes

    - #### getShellCount

          public int getShellCount()

      Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
      Specified by:
        `getShellCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.PathName attributes.

    - #### getShell

          public PathName getShell(int index)

      Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Specified by:
        `getShell` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PathName attribute

    - #### isSetShell

          public boolean isSetShell()

      Determine if the shell attribute is set
      Specified by:
        `isSetShell` in interface `Job`
      Returns:
        `true` if the shell attribute is set

    - #### isSetVerify

          public boolean isSetVerify()

      Determine if the verify attribute is set
      Specified by:
        `isSetVerify` in interface `Job`
      Returns:
        `true` if the verify attribute is set

    - #### setVerify

          public void setVerify(int aVerify)

      Set the verify attribute.
      Parameters:
        `aVerify` - the new value for the verify attribute

    - #### getVerify

          public int getVerify()

      Get the value of the verify attribute.
      Specified by:
        `getVerify` in interface `Job`
      Returns:
        the value of the verify attribute

    - #### putEnv

          public void putEnv(java.lang.String key,
                             java.lang.String value)

      Put the attribute env for a key.

      Specified by:
        `putEnv` in interface `Job`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultEnv

          public java.lang.String getDefaultEnv()

      Get the default value of the attribute env.

      Specified by:
        `getDefaultEnv` in interface `Job`
      Returns:
        the default value of the attribute env
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getEnv

          public java.lang.String getEnv(java.lang.String key)

      Get the env attribute for a key.

      Specified by:
        `getEnv` in interface `Job`
      Parameters:
        `key` - the key
      Returns:
        the env attribute for the host or the default value of env

    - #### removeEnv

          public java.lang.String removeEnv(java.lang.String key)

      remove the attribute env for a key.

      Specified by:
        `removeEnv` in interface `Job`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllEnv

          public void removeAllEnv()

      Remove the attribute env for all keys.

      Specified by:
        `removeAllEnv` in interface `Job`

    - #### getEnvKeys

          public java.util.Set<java.lang.String> getEnvKeys()

      Get the set of keys which have the attribute env set.
      Specified by:
        `getEnvKeys` in interface `Job`
      Returns:
        set of keys

    - #### getEnvCount

          public int getEnvCount()

      Get the number of keys which have the attribute env set.
      Specified by:
        `getEnvCount` in interface `Job`
      Returns:
        the number of keys which have the attribute env set.

    - #### isSetEnv

          public boolean isSetEnv()

      Determine if any env attribute is set
      Specified by:
        `isSetEnv` in interface `Job`
      Returns:
        `true` if the env attribute is set

    - #### isSetEnv

          public boolean isSetEnv(java.lang.String key)

      Determine if any env attribute is for a key is set
      Specified by:
        `isSetEnv` in interface `Job`
      Parameters:
        `key` - the key
      Returns:
        `true` if the env attribute is set

    - #### putContext

          public void putContext(java.lang.String key,
                                 java.lang.String value)

      Put the attribute context for a key.

      Specified by:
        `putContext` in interface `Job`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultContext

          public java.lang.String getDefaultContext()

      Get the default value of the attribute context.

      Specified by:
        `getDefaultContext` in interface `Job`
      Returns:
        the default value of the attribute context
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getContext

          public java.lang.String getContext(java.lang.String key)

      Get the context attribute for a key.

      Specified by:
        `getContext` in interface `Job`
      Parameters:
        `key` - the key
      Returns:
        the context attribute for the host or the default value of context

    - #### removeContext

          public java.lang.String removeContext(java.lang.String key)

      remove the attribute context for a key.

      Specified by:
        `removeContext` in interface `Job`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllContext

          public void removeAllContext()

      Remove the attribute context for all keys.

      Specified by:
        `removeAllContext` in interface `Job`

    - #### getContextKeys

          public java.util.Set<java.lang.String> getContextKeys()

      Get the set of keys which have the attribute context set.
      Specified by:
        `getContextKeys` in interface `Job`
      Returns:
        set of keys

    - #### getContextCount

          public int getContextCount()

      Get the number of keys which have the attribute context set.
      Specified by:
        `getContextCount` in interface `Job`
      Returns:
        the number of keys which have the attribute context set.

    - #### isSetContext

          public boolean isSetContext()

      Determine if any context attribute is set
      Specified by:
        `isSetContext` in interface `Job`
      Returns:
        `true` if the context attribute is set

    - #### isSetContext

          public boolean isSetContext(java.lang.String key)

      Determine if any context attribute is for a key is set
      Specified by:
        `isSetContext` in interface `Job`
      Parameters:
        `key` - the key
      Returns:
        `true` if the context attribute is set

    - #### addJobArgs

          public void addJobArgs(java.lang.String ajobArgs)

      Add a java.lang.String attribute.
      Specified by:
        `addJobArgs` in interface `Job`
      Parameters:
        `ajobArgs` - the new java.lang.String attribute

    - #### setJobArgs

          public void setJobArgs(int index,
                                 java.lang.String ajobArgs)

      Set a java.lang.String attribute.
      Specified by:
        `setJobArgs` in interface `Job`
      Parameters:
        `index` - index of the java.lang.String attribute
        `ajobArgs` - the new java.lang.String attribute

    - #### removeAllJobArgs

          public void removeAllJobArgs()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllJobArgs` in interface `Job`

    - #### removeJobArgs

          public java.lang.String removeJobArgs(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeJobArgs` in interface `Job`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeJobArgs

          public boolean removeJobArgs(java.lang.String ajobArgs)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeJobArgs` in interface `Job`
      Parameters:
        `ajobArgs` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getJobArgsList

          public java.util.List<java.lang.String> getJobArgsList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getJobArgsList` in interface `Job`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getJobArgsCount

          public int getJobArgsCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getJobArgsCount` in interface `Job`
      Returns:
        The number of java.lang.String attributes.

    - #### getJobArgs

          public java.lang.String getJobArgs(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getJobArgs` in interface `Job`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetJobArgs

          public boolean isSetJobArgs()

      Determine if the jobArgs attribute is set
      Specified by:
        `isSetJobArgs` in interface `Job`
      Returns:
        `true` if the jobArgs attribute is set

    - #### isSetCheckpointAttr

          public boolean isSetCheckpointAttr()

      Determine if the checkpointAttr attribute is set
      Specified by:
        `isSetCheckpointAttr` in interface `Job`
      Returns:
        `true` if the checkpointAttr attribute is set

    - #### setCheckpointAttr

          public void setCheckpointAttr(int aCheckpointAttr)

      Set the checkpointAttr attribute.
      Parameters:
        `aCheckpointAttr` - the new value for the checkpointAttr attribute

    - #### getCheckpointAttr

          public int getCheckpointAttr()

      Get the value of the checkpointAttr attribute.
      Specified by:
        `getCheckpointAttr` in interface `Job`
      Returns:
        the value of the checkpointAttr attribute

    - #### isSetCheckpointName

          public boolean isSetCheckpointName()

      Determine if the checkpointName attribute is set
      Specified by:
        `isSetCheckpointName` in interface `Job`
      Returns:
        `true` if the checkpointName attribute is set

    - #### setCheckpointName

          public void setCheckpointName(java.lang.String aCheckpointName)

      Set the checkpointName attribute.
      Specified by:
        `setCheckpointName` in interface `Job`
      Parameters:
        `aCheckpointName` - the new value for the checkpointName attribute

    - #### getCheckpointName

          public java.lang.String getCheckpointName()

      Get the value of the checkpointName attribute.
      Specified by:
        `getCheckpointName` in interface `Job`
      Returns:
        the value of the checkpointName attribute

    - #### isSetCheckpointObject

          public boolean isSetCheckpointObject()

      Determine if the checkpointObject attribute is set
      Specified by:
        `isSetCheckpointObject` in interface `Job`
      Returns:
        `true` if the checkpointObject attribute is set

    - #### setCheckpointObject

          public void setCheckpointObject(Checkpoint aCheckpointObject)

      Set the checkpointObject attribute.
      Parameters:
        `aCheckpointObject` - the new value for the checkpointObject attribute

    - #### getCheckpointObject

          public Checkpoint getCheckpointObject()

      Get the value of the checkpointObject attribute.
      Specified by:
        `getCheckpointObject` in interface `Job`
      Returns:
        the value of the checkpointObject attribute

    - #### isSetCheckpointInterval

          public boolean isSetCheckpointInterval()

      Determine if the checkpointInterval attribute is set
      Specified by:
        `isSetCheckpointInterval` in interface `Job`
      Returns:
        `true` if the checkpointInterval attribute is set

    - #### setCheckpointInterval

          public void setCheckpointInterval(int aCheckpointInterval)

      Set the checkpointInterval attribute.
      Parameters:
        `aCheckpointInterval` - the new value for the checkpointInterval attribute

    - #### getCheckpointInterval

          public int getCheckpointInterval()

      Get the value of the checkpointInterval attribute.
      Specified by:
        `getCheckpointInterval` in interface `Job`
      Returns:
        the value of the checkpointInterval attribute

    - #### isSetRestart

          public boolean isSetRestart()

      Determine if the restart attribute is set
      Specified by:
        `isSetRestart` in interface `Job`
      Returns:
        `true` if the restart attribute is set

    - #### setRestart

          public void setRestart(int aRestart)

      Set the restart attribute.
      Specified by:
        `setRestart` in interface `Job`
      Parameters:
        `aRestart` - the new value for the restart attribute

    - #### getRestart

          public int getRestart()

      Get the value of the restart attribute.
      Specified by:
        `getRestart` in interface `Job`
      Returns:
        the value of the restart attribute

    - #### addStdoutPath

          public void addStdoutPath(PathName astdoutPath)

      Add a com.sun.grid.jgdi.configuration.PathName attribute.
      Specified by:
        `addStdoutPath` in interface `Job`
      Parameters:
        `astdoutPath` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### setStdoutPath

          public void setStdoutPath(int index,
                                    PathName astdoutPath)

      Set a com.sun.grid.jgdi.configuration.PathName attribute.
      Specified by:
        `setStdoutPath` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PathName attribute
        `astdoutPath` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### removeAllStdoutPath

          public void removeAllStdoutPath()

      Remove all com.sun.grid.jgdi.configuration.PathName attributes.
      Specified by:
        `removeAllStdoutPath` in interface `Job`

    - #### removeStdoutPath

          public PathName removeStdoutPath(int index)

      Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Specified by:
        `removeStdoutPath` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PathName attribute or `null` if no attribute at this index is stored

    - #### removeStdoutPath

          public boolean removeStdoutPath(PathName astdoutPath)

      Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
      Specified by:
        `removeStdoutPath` in interface `Job`
      Parameters:
        `astdoutPath` - the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PathName attribute has been removed

    - #### getStdoutPathList

          public java.util.List<PathName> getStdoutPathList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
      Specified by:
        `getStdoutPathList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PathName attributes

    - #### getStdoutPathCount

          public int getStdoutPathCount()

      Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
      Specified by:
        `getStdoutPathCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.PathName attributes.

    - #### getStdoutPath

          public PathName getStdoutPath(int index)

      Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Specified by:
        `getStdoutPath` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PathName attribute

    - #### isSetStdoutPath

          public boolean isSetStdoutPath()

      Determine if the stdoutPath attribute is set
      Specified by:
        `isSetStdoutPath` in interface `Job`
      Returns:
        `true` if the stdoutPath attribute is set

    - #### addStderrPath

          public void addStderrPath(PathName astderrPath)

      Add a com.sun.grid.jgdi.configuration.PathName attribute.
      Specified by:
        `addStderrPath` in interface `Job`
      Parameters:
        `astderrPath` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### setStderrPath

          public void setStderrPath(int index,
                                    PathName astderrPath)

      Set a com.sun.grid.jgdi.configuration.PathName attribute.
      Specified by:
        `setStderrPath` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PathName attribute
        `astderrPath` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### removeAllStderrPath

          public void removeAllStderrPath()

      Remove all com.sun.grid.jgdi.configuration.PathName attributes.
      Specified by:
        `removeAllStderrPath` in interface `Job`

    - #### removeStderrPath

          public PathName removeStderrPath(int index)

      Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Specified by:
        `removeStderrPath` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PathName attribute or `null` if no attribute at this index is stored

    - #### removeStderrPath

          public boolean removeStderrPath(PathName astderrPath)

      Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
      Specified by:
        `removeStderrPath` in interface `Job`
      Parameters:
        `astderrPath` - the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PathName attribute has been removed

    - #### getStderrPathList

          public java.util.List<PathName> getStderrPathList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
      Specified by:
        `getStderrPathList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PathName attributes

    - #### getStderrPathCount

          public int getStderrPathCount()

      Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
      Specified by:
        `getStderrPathCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.PathName attributes.

    - #### getStderrPath

          public PathName getStderrPath(int index)

      Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Specified by:
        `getStderrPath` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PathName attribute

    - #### isSetStderrPath

          public boolean isSetStderrPath()

      Determine if the stderrPath attribute is set
      Specified by:
        `isSetStderrPath` in interface `Job`
      Returns:
        `true` if the stderrPath attribute is set

    - #### addStdinPath

          public void addStdinPath(PathName astdinPath)

      Add a com.sun.grid.jgdi.configuration.PathName attribute.
      Specified by:
        `addStdinPath` in interface `Job`
      Parameters:
        `astdinPath` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### setStdinPath

          public void setStdinPath(int index,
                                   PathName astdinPath)

      Set a com.sun.grid.jgdi.configuration.PathName attribute.
      Specified by:
        `setStdinPath` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PathName attribute
        `astdinPath` - the new com.sun.grid.jgdi.configuration.PathName attribute

    - #### removeAllStdinPath

          public void removeAllStdinPath()

      Remove all com.sun.grid.jgdi.configuration.PathName attributes.
      Specified by:
        `removeAllStdinPath` in interface `Job`

    - #### removeStdinPath

          public PathName removeStdinPath(int index)

      Remote a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Specified by:
        `removeStdinPath` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PathName attribute or `null` if no attribute at this index is stored

    - #### removeStdinPath

          public boolean removeStdinPath(PathName astdinPath)

      Remote a specific com.sun.grid.jgdi.configuration.PathName attribute.
      Specified by:
        `removeStdinPath` in interface `Job`
      Parameters:
        `astdinPath` - the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PathName attribute has been removed

    - #### getStdinPathList

          public java.util.List<PathName> getStdinPathList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathName attributes.
      Specified by:
        `getStdinPathList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PathName attributes

    - #### getStdinPathCount

          public int getStdinPathCount()

      Get the number of com.sun.grid.jgdi.configuration.PathName attributes.
      Specified by:
        `getStdinPathCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.PathName attributes.

    - #### getStdinPath

          public PathName getStdinPath(int index)

      Get a com.sun.grid.jgdi.configuration.PathName attribute at an index.
      Specified by:
        `getStdinPath` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathName attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PathName attribute

    - #### isSetStdinPath

          public boolean isSetStdinPath()

      Determine if the stdinPath attribute is set
      Specified by:
        `isSetStdinPath` in interface `Job`
      Returns:
        `true` if the stdinPath attribute is set

    - #### isSetMergeStderr

          public boolean isSetMergeStderr()

      Determine if the mergeStderr attribute is set
      Specified by:
        `isSetMergeStderr` in interface `Job`
      Returns:
        `true` if the mergeStderr attribute is set

    - #### setMergeStderr

          public void setMergeStderr(boolean aMergeStderr)

      Set the mergeStderr attribute.
      Specified by:
        `setMergeStderr` in interface `Job`
      Parameters:
        `aMergeStderr` - the new value for the mergeStderr attribute

    - #### isMergeStderr

          public boolean isMergeStderr()

      Get the value of the mergeStderr attribute.
      Specified by:
        `isMergeStderr` in interface `Job`
      Returns:
        the value of the mergeStderr attribute

    - #### addHardResource

          public void addHardResource(ComplexEntry ahardResource)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `addHardResource` in interface `Job`
      Parameters:
        `ahardResource` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setHardResource

          public void setHardResource(int index,
                                      ComplexEntry ahardResource)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `setHardResource` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `ahardResource` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllHardResource

          public void removeAllHardResource()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `removeAllHardResource` in interface `Job`

    - #### removeHardResource

          public ComplexEntry removeHardResource(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `removeHardResource` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeHardResource

          public boolean removeHardResource(ComplexEntry ahardResource)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `removeHardResource` in interface `Job`
      Parameters:
        `ahardResource` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### getHardResourceList

          public java.util.List<ComplexEntry> getHardResourceList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getHardResourceList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getHardResourceCount

          public int getHardResourceCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getHardResourceCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getHardResource

          public ComplexEntry getHardResource(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `getHardResource` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### isSetHardResource

          public boolean isSetHardResource()

      Determine if the hardResource attribute is set
      Specified by:
        `isSetHardResource` in interface `Job`
      Returns:
        `true` if the hardResource attribute is set

    - #### addSoftResource

          public void addSoftResource(ComplexEntry asoftResource)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `addSoftResource` in interface `Job`
      Parameters:
        `asoftResource` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setSoftResource

          public void setSoftResource(int index,
                                      ComplexEntry asoftResource)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `setSoftResource` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `asoftResource` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllSoftResource

          public void removeAllSoftResource()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `removeAllSoftResource` in interface `Job`

    - #### removeSoftResource

          public ComplexEntry removeSoftResource(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `removeSoftResource` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeSoftResource

          public boolean removeSoftResource(ComplexEntry asoftResource)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `removeSoftResource` in interface `Job`
      Parameters:
        `asoftResource` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### getSoftResourceList

          public java.util.List<ComplexEntry> getSoftResourceList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getSoftResourceList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getSoftResourceCount

          public int getSoftResourceCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getSoftResourceCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getSoftResource

          public ComplexEntry getSoftResource(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `getSoftResource` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### isSetSoftResource

          public boolean isSetSoftResource()

      Determine if the softResource attribute is set
      Specified by:
        `isSetSoftResource` in interface `Job`
      Returns:
        `true` if the softResource attribute is set

    - #### addHardQueue

          public void addHardQueue(java.lang.String ahardQueue)

      Add a java.lang.String attribute.
      Specified by:
        `addHardQueue` in interface `Job`
      Parameters:
        `ahardQueue` - the new java.lang.String attribute

    - #### setHardQueue

          public void setHardQueue(int index,
                                   java.lang.String ahardQueue)

      Set a java.lang.String attribute.
      Specified by:
        `setHardQueue` in interface `Job`
      Parameters:
        `index` - index of the java.lang.String attribute
        `ahardQueue` - the new java.lang.String attribute

    - #### removeAllHardQueue

          public void removeAllHardQueue()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllHardQueue` in interface `Job`

    - #### removeHardQueue

          public java.lang.String removeHardQueue(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeHardQueue` in interface `Job`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeHardQueue

          public boolean removeHardQueue(java.lang.String ahardQueue)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeHardQueue` in interface `Job`
      Parameters:
        `ahardQueue` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getHardQueueList

          public java.util.List<java.lang.String> getHardQueueList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getHardQueueList` in interface `Job`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getHardQueueCount

          public int getHardQueueCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getHardQueueCount` in interface `Job`
      Returns:
        The number of java.lang.String attributes.

    - #### getHardQueue

          public java.lang.String getHardQueue(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getHardQueue` in interface `Job`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetHardQueue

          public boolean isSetHardQueue()

      Determine if the hardQueue attribute is set
      Specified by:
        `isSetHardQueue` in interface `Job`
      Returns:
        `true` if the hardQueue attribute is set

    - #### addSoftQueue

          public void addSoftQueue(java.lang.String asoftQueue)

      Add a java.lang.String attribute.
      Specified by:
        `addSoftQueue` in interface `Job`
      Parameters:
        `asoftQueue` - the new java.lang.String attribute

    - #### setSoftQueue

          public void setSoftQueue(int index,
                                   java.lang.String asoftQueue)

      Set a java.lang.String attribute.
      Specified by:
        `setSoftQueue` in interface `Job`
      Parameters:
        `index` - index of the java.lang.String attribute
        `asoftQueue` - the new java.lang.String attribute

    - #### removeAllSoftQueue

          public void removeAllSoftQueue()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllSoftQueue` in interface `Job`

    - #### removeSoftQueue

          public java.lang.String removeSoftQueue(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeSoftQueue` in interface `Job`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeSoftQueue

          public boolean removeSoftQueue(java.lang.String asoftQueue)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeSoftQueue` in interface `Job`
      Parameters:
        `asoftQueue` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getSoftQueueList

          public java.util.List<java.lang.String> getSoftQueueList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getSoftQueueList` in interface `Job`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getSoftQueueCount

          public int getSoftQueueCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getSoftQueueCount` in interface `Job`
      Returns:
        The number of java.lang.String attributes.

    - #### getSoftQueue

          public java.lang.String getSoftQueue(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getSoftQueue` in interface `Job`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetSoftQueue

          public boolean isSetSoftQueue()

      Determine if the softQueue attribute is set
      Specified by:
        `isSetSoftQueue` in interface `Job`
      Returns:
        `true` if the softQueue attribute is set

    - #### isSetMailOptions

          public boolean isSetMailOptions()

      Determine if the mailOptions attribute is set
      Specified by:
        `isSetMailOptions` in interface `Job`
      Returns:
        `true` if the mailOptions attribute is set

    - #### setMailOptions

          public void setMailOptions(int aMailOptions)

      Set the mailOptions attribute.
      Specified by:
        `setMailOptions` in interface `Job`
      Parameters:
        `aMailOptions` - the new value for the mailOptions attribute

    - #### getMailOptions

          public int getMailOptions()

      Get the value of the mailOptions attribute.
      Specified by:
        `getMailOptions` in interface `Job`
      Returns:
        the value of the mailOptions attribute

    - #### addMail

          public void addMail(MailReceiver amail)

      Add a com.sun.grid.jgdi.configuration.MailReceiver attribute.
      Specified by:
        `addMail` in interface `Job`
      Parameters:
        `amail` - the new com.sun.grid.jgdi.configuration.MailReceiver attribute

    - #### setMail

          public void setMail(int index,
                              MailReceiver amail)

      Set a com.sun.grid.jgdi.configuration.MailReceiver attribute.
      Specified by:
        `setMail` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.MailReceiver attribute
        `amail` - the new com.sun.grid.jgdi.configuration.MailReceiver attribute

    - #### removeAllMail

          public void removeAllMail()

      Remove all com.sun.grid.jgdi.configuration.MailReceiver attributes.
      Specified by:
        `removeAllMail` in interface `Job`

    - #### removeMail

          public MailReceiver removeMail(int index)

      Remote a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
      Specified by:
        `removeMail` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.MailReceiver attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.MailReceiver attribute or `null` if no attribute at this index is stored

    - #### removeMail

          public boolean removeMail(MailReceiver amail)

      Remote a specific com.sun.grid.jgdi.configuration.MailReceiver attribute.
      Specified by:
        `removeMail` in interface `Job`
      Parameters:
        `amail` - the com.sun.grid.jgdi.configuration.MailReceiver attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.MailReceiver attribute has been removed

    - #### getMailList

          public java.util.List<MailReceiver> getMailList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.MailReceiver attributes.
      Specified by:
        `getMailList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.MailReceiver attributes

    - #### getMailCount

          public int getMailCount()

      Get the number of com.sun.grid.jgdi.configuration.MailReceiver attributes.
      Specified by:
        `getMailCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.MailReceiver attributes.

    - #### getMail

          public MailReceiver getMail(int index)

      Get a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
      Specified by:
        `getMail` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.MailReceiver attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.MailReceiver attribute

    - #### isSetMail

          public boolean isSetMail()

      Determine if the mail attribute is set
      Specified by:
        `isSetMail` in interface `Job`
      Returns:
        `true` if the mail attribute is set

    - #### isSetPe

          public boolean isSetPe()

      Determine if the pe attribute is set
      Specified by:
        `isSetPe` in interface `Job`
      Returns:
        `true` if the pe attribute is set

    - #### setPe

          public void setPe(java.lang.String aPe)

      Set the pe attribute.
      Specified by:
        `setPe` in interface `Job`
      Parameters:
        `aPe` - the new value for the pe attribute

    - #### getPe

          public java.lang.String getPe()

      Get the value of the pe attribute.
      Specified by:
        `getPe` in interface `Job`
      Returns:
        the value of the pe attribute

    - #### addPeRange

          public void addPeRange(Range apeRange)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `addPeRange` in interface `Job`
      Parameters:
        `apeRange` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setPeRange

          public void setPeRange(int index,
                                 Range apeRange)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `setPeRange` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `apeRange` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllPeRange

          public void removeAllPeRange()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `removeAllPeRange` in interface `Job`

    - #### removePeRange

          public Range removePeRange(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `removePeRange` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removePeRange

          public boolean removePeRange(Range apeRange)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `removePeRange` in interface `Job`
      Parameters:
        `apeRange` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### getPeRangeList

          public java.util.List<Range> getPeRangeList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getPeRangeList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getPeRangeCount

          public int getPeRangeCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getPeRangeCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getPeRange

          public Range getPeRange(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `getPeRange` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### isSetPeRange

          public boolean isSetPeRange()

      Determine if the peRange attribute is set
      Specified by:
        `isSetPeRange` in interface `Job`
      Returns:
        `true` if the peRange attribute is set

    - #### addMasterHardQueue

          public void addMasterHardQueue(java.lang.String amasterHardQueue)

      Add a java.lang.String attribute.
      Specified by:
        `addMasterHardQueue` in interface `Job`
      Parameters:
        `amasterHardQueue` - the new java.lang.String attribute

    - #### setMasterHardQueue

          public void setMasterHardQueue(int index,
                                         java.lang.String amasterHardQueue)

      Set a java.lang.String attribute.
      Specified by:
        `setMasterHardQueue` in interface `Job`
      Parameters:
        `index` - index of the java.lang.String attribute
        `amasterHardQueue` - the new java.lang.String attribute

    - #### removeAllMasterHardQueue

          public void removeAllMasterHardQueue()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllMasterHardQueue` in interface `Job`

    - #### removeMasterHardQueue

          public java.lang.String removeMasterHardQueue(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeMasterHardQueue` in interface `Job`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeMasterHardQueue

          public boolean removeMasterHardQueue(java.lang.String amasterHardQueue)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeMasterHardQueue` in interface `Job`
      Parameters:
        `amasterHardQueue` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getMasterHardQueueList

          public java.util.List<java.lang.String> getMasterHardQueueList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getMasterHardQueueList` in interface `Job`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getMasterHardQueueCount

          public int getMasterHardQueueCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getMasterHardQueueCount` in interface `Job`
      Returns:
        The number of java.lang.String attributes.

    - #### getMasterHardQueue

          public java.lang.String getMasterHardQueue(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getMasterHardQueue` in interface `Job`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetMasterHardQueue

          public boolean isSetMasterHardQueue()

      Determine if the masterHardQueue attribute is set
      Specified by:
        `isSetMasterHardQueue` in interface `Job`
      Returns:
        `true` if the masterHardQueue attribute is set

    - #### isSetTgt

          public boolean isSetTgt()

      Determine if the tgt attribute is set
      Specified by:
        `isSetTgt` in interface `Job`
      Returns:
        `true` if the tgt attribute is set

    - #### setTgt

          public void setTgt(java.lang.String aTgt)

      Set the tgt attribute.
      Specified by:
        `setTgt` in interface `Job`
      Parameters:
        `aTgt` - the new value for the tgt attribute

    - #### getTgt

          public java.lang.String getTgt()

      Get the value of the tgt attribute.
      Specified by:
        `getTgt` in interface `Job`
      Returns:
        the value of the tgt attribute

    - #### isSetCred

          public boolean isSetCred()

      Determine if the cred attribute is set
      Specified by:
        `isSetCred` in interface `Job`
      Returns:
        `true` if the cred attribute is set

    - #### setCred

          public void setCred(java.lang.String aCred)

      Set the cred attribute.
      Specified by:
        `setCred` in interface `Job`
      Parameters:
        `aCred` - the new value for the cred attribute

    - #### getCred

          public java.lang.String getCred()

      Get the value of the cred attribute.
      Specified by:
        `getCred` in interface `Job`
      Returns:
        the value of the cred attribute

    - #### addJaStructure

          public void addJaStructure(Range ajaStructure)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `addJaStructure` in interface `Job`
      Parameters:
        `ajaStructure` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setJaStructure

          public void setJaStructure(int index,
                                     Range ajaStructure)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `setJaStructure` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `ajaStructure` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllJaStructure

          public void removeAllJaStructure()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `removeAllJaStructure` in interface `Job`

    - #### removeJaStructure

          public Range removeJaStructure(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `removeJaStructure` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removeJaStructure

          public boolean removeJaStructure(Range ajaStructure)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `removeJaStructure` in interface `Job`
      Parameters:
        `ajaStructure` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### getJaStructureList

          public java.util.List<Range> getJaStructureList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getJaStructureList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getJaStructureCount

          public int getJaStructureCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getJaStructureCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getJaStructure

          public Range getJaStructure(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `getJaStructure` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### isSetJaStructure

          public boolean isSetJaStructure()

      Determine if the jaStructure attribute is set
      Specified by:
        `isSetJaStructure` in interface `Job`
      Returns:
        `true` if the jaStructure attribute is set

    - #### addJaNHIds

          public void addJaNHIds(Range ajaNHIds)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `addJaNHIds` in interface `Job`
      Parameters:
        `ajaNHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setJaNHIds

          public void setJaNHIds(int index,
                                 Range ajaNHIds)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `setJaNHIds` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `ajaNHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllJaNHIds

          public void removeAllJaNHIds()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `removeAllJaNHIds` in interface `Job`

    - #### removeJaNHIds

          public Range removeJaNHIds(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `removeJaNHIds` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removeJaNHIds

          public boolean removeJaNHIds(Range ajaNHIds)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `removeJaNHIds` in interface `Job`
      Parameters:
        `ajaNHIds` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### getJaNHIdsList

          public java.util.List<Range> getJaNHIdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getJaNHIdsList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getJaNHIdsCount

          public int getJaNHIdsCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getJaNHIdsCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getJaNHIds

          public Range getJaNHIds(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `getJaNHIds` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### isSetJaNHIds

          public boolean isSetJaNHIds()

      Determine if the jaNHIds attribute is set
      Specified by:
        `isSetJaNHIds` in interface `Job`
      Returns:
        `true` if the jaNHIds attribute is set

    - #### addJaUHIds

          public void addJaUHIds(Range ajaUHIds)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `addJaUHIds` in interface `Job`
      Parameters:
        `ajaUHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setJaUHIds

          public void setJaUHIds(int index,
                                 Range ajaUHIds)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `setJaUHIds` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `ajaUHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllJaUHIds

          public void removeAllJaUHIds()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `removeAllJaUHIds` in interface `Job`

    - #### removeJaUHIds

          public Range removeJaUHIds(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `removeJaUHIds` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removeJaUHIds

          public boolean removeJaUHIds(Range ajaUHIds)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `removeJaUHIds` in interface `Job`
      Parameters:
        `ajaUHIds` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### getJaUHIdsList

          public java.util.List<Range> getJaUHIdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getJaUHIdsList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getJaUHIdsCount

          public int getJaUHIdsCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getJaUHIdsCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getJaUHIds

          public Range getJaUHIds(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `getJaUHIds` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### isSetJaUHIds

          public boolean isSetJaUHIds()

      Determine if the jaUHIds attribute is set
      Specified by:
        `isSetJaUHIds` in interface `Job`
      Returns:
        `true` if the jaUHIds attribute is set

    - #### addJaSHIds

          public void addJaSHIds(Range ajaSHIds)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `addJaSHIds` in interface `Job`
      Parameters:
        `ajaSHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setJaSHIds

          public void setJaSHIds(int index,
                                 Range ajaSHIds)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `setJaSHIds` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `ajaSHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllJaSHIds

          public void removeAllJaSHIds()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `removeAllJaSHIds` in interface `Job`

    - #### removeJaSHIds

          public Range removeJaSHIds(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `removeJaSHIds` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removeJaSHIds

          public boolean removeJaSHIds(Range ajaSHIds)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `removeJaSHIds` in interface `Job`
      Parameters:
        `ajaSHIds` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### getJaSHIdsList

          public java.util.List<Range> getJaSHIdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getJaSHIdsList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getJaSHIdsCount

          public int getJaSHIdsCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getJaSHIdsCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getJaSHIds

          public Range getJaSHIds(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `getJaSHIds` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### isSetJaSHIds

          public boolean isSetJaSHIds()

      Determine if the jaSHIds attribute is set
      Specified by:
        `isSetJaSHIds` in interface `Job`
      Returns:
        `true` if the jaSHIds attribute is set

    - #### addJaOHIds

          public void addJaOHIds(Range ajaOHIds)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `addJaOHIds` in interface `Job`
      Parameters:
        `ajaOHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setJaOHIds

          public void setJaOHIds(int index,
                                 Range ajaOHIds)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `setJaOHIds` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `ajaOHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllJaOHIds

          public void removeAllJaOHIds()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `removeAllJaOHIds` in interface `Job`

    - #### removeJaOHIds

          public Range removeJaOHIds(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `removeJaOHIds` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removeJaOHIds

          public boolean removeJaOHIds(Range ajaOHIds)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `removeJaOHIds` in interface `Job`
      Parameters:
        `ajaOHIds` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### getJaOHIdsList

          public java.util.List<Range> getJaOHIdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getJaOHIdsList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getJaOHIdsCount

          public int getJaOHIdsCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getJaOHIdsCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getJaOHIds

          public Range getJaOHIds(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `getJaOHIds` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### isSetJaOHIds

          public boolean isSetJaOHIds()

      Determine if the jaOHIds attribute is set
      Specified by:
        `isSetJaOHIds` in interface `Job`
      Returns:
        `true` if the jaOHIds attribute is set

    - #### addJaAHIds

          public void addJaAHIds(Range ajaAHIds)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `addJaAHIds` in interface `Job`
      Parameters:
        `ajaAHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setJaAHIds

          public void setJaAHIds(int index,
                                 Range ajaAHIds)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `setJaAHIds` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `ajaAHIds` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllJaAHIds

          public void removeAllJaAHIds()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `removeAllJaAHIds` in interface `Job`

    - #### removeJaAHIds

          public Range removeJaAHIds(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `removeJaAHIds` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removeJaAHIds

          public boolean removeJaAHIds(Range ajaAHIds)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `removeJaAHIds` in interface `Job`
      Parameters:
        `ajaAHIds` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### getJaAHIdsList

          public java.util.List<Range> getJaAHIdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getJaAHIdsList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getJaAHIdsCount

          public int getJaAHIdsCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getJaAHIdsCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getJaAHIds

          public Range getJaAHIds(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `getJaAHIds` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### isSetJaAHIds

          public boolean isSetJaAHIds()

      Determine if the jaAHIds attribute is set
      Specified by:
        `isSetJaAHIds` in interface `Job`
      Returns:
        `true` if the jaAHIds attribute is set

    - #### addJaTemplate

          public void addJaTemplate(JobTask ajaTemplate)

      Add a com.sun.grid.jgdi.configuration.JobTask attribute.
      Specified by:
        `addJaTemplate` in interface `Job`
      Parameters:
        `ajaTemplate` - the new com.sun.grid.jgdi.configuration.JobTask attribute

    - #### setJaTemplate

          public void setJaTemplate(int index,
                                    JobTask ajaTemplate)

      Set a com.sun.grid.jgdi.configuration.JobTask attribute.
      Specified by:
        `setJaTemplate` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobTask attribute
        `ajaTemplate` - the new com.sun.grid.jgdi.configuration.JobTask attribute

    - #### removeAllJaTemplate

          public void removeAllJaTemplate()

      Remove all com.sun.grid.jgdi.configuration.JobTask attributes.
      Specified by:
        `removeAllJaTemplate` in interface `Job`

    - #### removeJaTemplate

          public JobTask removeJaTemplate(int index)

      Remote a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
      Specified by:
        `removeJaTemplate` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobTask attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobTask attribute or `null` if no attribute at this index is stored

    - #### removeJaTemplate

          public boolean removeJaTemplate(JobTask ajaTemplate)

      Remote a specific com.sun.grid.jgdi.configuration.JobTask attribute.
      Specified by:
        `removeJaTemplate` in interface `Job`
      Parameters:
        `ajaTemplate` - the com.sun.grid.jgdi.configuration.JobTask attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobTask attribute has been removed

    - #### getJaTemplateList

          public java.util.List<JobTask> getJaTemplateList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobTask attributes.
      Specified by:
        `getJaTemplateList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobTask attributes

    - #### getJaTemplateCount

          public int getJaTemplateCount()

      Get the number of com.sun.grid.jgdi.configuration.JobTask attributes.
      Specified by:
        `getJaTemplateCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobTask attributes.

    - #### getJaTemplate

          public JobTask getJaTemplate(int index)

      Get a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
      Specified by:
        `getJaTemplate` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobTask attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobTask attribute

    - #### isSetJaTemplate

          public boolean isSetJaTemplate()

      Determine if the jaTemplate attribute is set
      Specified by:
        `isSetJaTemplate` in interface `Job`
      Returns:
        `true` if the jaTemplate attribute is set

    - #### addJaTasks

          public void addJaTasks(JobTask ajaTasks)

      Add a com.sun.grid.jgdi.configuration.JobTask attribute.
      Specified by:
        `addJaTasks` in interface `Job`
      Parameters:
        `ajaTasks` - the new com.sun.grid.jgdi.configuration.JobTask attribute

    - #### setJaTasks

          public void setJaTasks(int index,
                                 JobTask ajaTasks)

      Set a com.sun.grid.jgdi.configuration.JobTask attribute.
      Specified by:
        `setJaTasks` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JobTask attribute
        `ajaTasks` - the new com.sun.grid.jgdi.configuration.JobTask attribute

    - #### removeAllJaTasks

          public void removeAllJaTasks()

      Remove all com.sun.grid.jgdi.configuration.JobTask attributes.
      Specified by:
        `removeAllJaTasks` in interface `Job`

    - #### removeJaTasks

          public JobTask removeJaTasks(int index)

      Remote a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
      Specified by:
        `removeJaTasks` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobTask attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JobTask attribute or `null` if no attribute at this index is stored

    - #### removeJaTasks

          public boolean removeJaTasks(JobTask ajaTasks)

      Remote a specific com.sun.grid.jgdi.configuration.JobTask attribute.
      Specified by:
        `removeJaTasks` in interface `Job`
      Parameters:
        `ajaTasks` - the com.sun.grid.jgdi.configuration.JobTask attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JobTask attribute has been removed

    - #### getJaTasksList

          public java.util.List<JobTask> getJaTasksList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobTask attributes.
      Specified by:
        `getJaTasksList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobTask attributes

    - #### getJaTasksCount

          public int getJaTasksCount()

      Get the number of com.sun.grid.jgdi.configuration.JobTask attributes.
      Specified by:
        `getJaTasksCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobTask attributes.

    - #### getJaTasks

          public JobTask getJaTasks(int index)

      Get a com.sun.grid.jgdi.configuration.JobTask attribute at an index.
      Specified by:
        `getJaTasks` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobTask attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobTask attribute

    - #### isSetJaTasks

          public boolean isSetJaTasks()

      Determine if the jaTasks attribute is set
      Specified by:
        `isSetJaTasks` in interface `Job`
      Returns:
        `true` if the jaTasks attribute is set

    - #### isSetHost

          public boolean isSetHost()

      Determine if the host attribute is set
      Specified by:
        `isSetHost` in interface `Job`
      Returns:
        `true` if the host attribute is set

    - #### setHost

          public void setHost(java.lang.String aHost)

      Set the host attribute.
      Parameters:
        `aHost` - the new value for the host attribute

    - #### getHost

          public java.lang.String getHost()

      Get the value of the host attribute.
      Specified by:
        `getHost` in interface `Job`
      Returns:
        the value of the host attribute

    - #### addUser

          public void addUser(java.lang.String auser)

      Add a java.lang.String attribute.
      Specified by:
        `addUser` in interface `Job`
      Parameters:
        `auser` - the new java.lang.String attribute

    - #### setUser

          public void setUser(int index,
                              java.lang.String auser)

      Set a java.lang.String attribute.
      Specified by:
        `setUser` in interface `Job`
      Parameters:
        `index` - index of the java.lang.String attribute
        `auser` - the new java.lang.String attribute

    - #### removeAllUser

          public void removeAllUser()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllUser` in interface `Job`

    - #### removeUser

          public java.lang.String removeUser(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeUser` in interface `Job`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeUser

          public boolean removeUser(java.lang.String auser)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeUser` in interface `Job`
      Parameters:
        `auser` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getUserList

          public java.util.List<java.lang.String> getUserList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getUserList` in interface `Job`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getUserCount

          public int getUserCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getUserCount` in interface `Job`
      Returns:
        The number of java.lang.String attributes.

    - #### getUser

          public java.lang.String getUser(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getUser` in interface `Job`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetUser

          public boolean isSetUser()

      Determine if the user attribute is set
      Specified by:
        `isSetUser` in interface `Job`
      Returns:
        `true` if the user attribute is set

    - #### isSetVerifySuitableQueues

          public boolean isSetVerifySuitableQueues()

      Determine if the verifySuitableQueues attribute is set
      Specified by:
        `isSetVerifySuitableQueues` in interface `Job`
      Returns:
        `true` if the verifySuitableQueues attribute is set

    - #### setVerifySuitableQueues

          public void setVerifySuitableQueues(int aVerifySuitableQueues)

      Set the verifySuitableQueues attribute.
      Specified by:
        `setVerifySuitableQueues` in interface `Job`
      Parameters:
        `aVerifySuitableQueues` - the new value for the verifySuitableQueues attribute

    - #### getVerifySuitableQueues

          public int getVerifySuitableQueues()

      Get the value of the verifySuitableQueues attribute.
      Specified by:
        `getVerifySuitableQueues` in interface `Job`
      Returns:
        the value of the verifySuitableQueues attribute

    - #### isSetOverrideTickets

          public boolean isSetOverrideTickets()

      Determine if the overrideTickets attribute is set
      Specified by:
        `isSetOverrideTickets` in interface `Job`
      Returns:
        `true` if the overrideTickets attribute is set

    - #### setOverrideTickets

          public void setOverrideTickets(int aOverrideTickets)

      Set the overrideTickets attribute.
      Specified by:
        `setOverrideTickets` in interface `Job`
      Parameters:
        `aOverrideTickets` - the new value for the overrideTickets attribute

    - #### getOverrideTickets

          public int getOverrideTickets()

      Get the value of the overrideTickets attribute.
      Specified by:
        `getOverrideTickets` in interface `Job`
      Returns:
        the value of the overrideTickets attribute

    - #### addPathAliases

          public void addPathAliases(PathAlias apathAliases)

      Add a com.sun.grid.jgdi.configuration.PathAlias attribute.
      Specified by:
        `addPathAliases` in interface `Job`
      Parameters:
        `apathAliases` - the new com.sun.grid.jgdi.configuration.PathAlias attribute

    - #### setPathAliases

          public void setPathAliases(int index,
                                     PathAlias apathAliases)

      Set a com.sun.grid.jgdi.configuration.PathAlias attribute.
      Specified by:
        `setPathAliases` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PathAlias attribute
        `apathAliases` - the new com.sun.grid.jgdi.configuration.PathAlias attribute

    - #### removeAllPathAliases

          public void removeAllPathAliases()

      Remove all com.sun.grid.jgdi.configuration.PathAlias attributes.
      Specified by:
        `removeAllPathAliases` in interface `Job`

    - #### removePathAliases

          public PathAlias removePathAliases(int index)

      Remote a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
      Specified by:
        `removePathAliases` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathAlias attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PathAlias attribute or `null` if no attribute at this index is stored

    - #### removePathAliases

          public boolean removePathAliases(PathAlias apathAliases)

      Remote a specific com.sun.grid.jgdi.configuration.PathAlias attribute.
      Specified by:
        `removePathAliases` in interface `Job`
      Parameters:
        `apathAliases` - the com.sun.grid.jgdi.configuration.PathAlias attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PathAlias attribute has been removed

    - #### getPathAliasesList

          public java.util.List<PathAlias> getPathAliasesList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathAlias attributes.
      Specified by:
        `getPathAliasesList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PathAlias attributes

    - #### getPathAliasesCount

          public int getPathAliasesCount()

      Get the number of com.sun.grid.jgdi.configuration.PathAlias attributes.
      Specified by:
        `getPathAliasesCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.PathAlias attributes.

    - #### getPathAliases

          public PathAlias getPathAliases(int index)

      Get a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
      Specified by:
        `getPathAliases` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathAlias attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PathAlias attribute

    - #### isSetPathAliases

          public boolean isSetPathAliases()

      Determine if the pathAliases attribute is set
      Specified by:
        `isSetPathAliases` in interface `Job`
      Returns:
        `true` if the pathAliases attribute is set

    - #### isSetUrg

          public boolean isSetUrg()

      Determine if the urg attribute is set
      Specified by:
        `isSetUrg` in interface `Job`
      Returns:
        `true` if the urg attribute is set

    - #### setUrg

          public void setUrg(double aUrg)

      Set the urg attribute.
      Specified by:
        `setUrg` in interface `Job`
      Parameters:
        `aUrg` - the new value for the urg attribute

    - #### getUrg

          public double getUrg()

      Get the value of the urg attribute.
      Specified by:
        `getUrg` in interface `Job`
      Returns:
        the value of the urg attribute

    - #### isSetNurg

          public boolean isSetNurg()

      Determine if the nurg attribute is set
      Specified by:
        `isSetNurg` in interface `Job`
      Returns:
        `true` if the nurg attribute is set

    - #### setNurg

          public void setNurg(double aNurg)

      Set the nurg attribute.
      Parameters:
        `aNurg` - the new value for the nurg attribute

    - #### getNurg

          public double getNurg()

      Get the value of the nurg attribute.
      Specified by:
        `getNurg` in interface `Job`
      Returns:
        the value of the nurg attribute

    - #### isSetNppri

          public boolean isSetNppri()

      Determine if the nppri attribute is set
      Specified by:
        `isSetNppri` in interface `Job`
      Returns:
        `true` if the nppri attribute is set

    - #### setNppri

          public void setNppri(double aNppri)

      Set the nppri attribute.
      Parameters:
        `aNppri` - the new value for the nppri attribute

    - #### getNppri

          public double getNppri()

      Get the value of the nppri attribute.
      Specified by:
        `getNppri` in interface `Job`
      Returns:
        the value of the nppri attribute

    - #### isSetRrcontr

          public boolean isSetRrcontr()

      Determine if the rrcontr attribute is set
      Specified by:
        `isSetRrcontr` in interface `Job`
      Returns:
        `true` if the rrcontr attribute is set

    - #### setRrcontr

          public void setRrcontr(double aRrcontr)

      Set the rrcontr attribute.
      Parameters:
        `aRrcontr` - the new value for the rrcontr attribute

    - #### getRrcontr

          public double getRrcontr()

      Get the value of the rrcontr attribute.
      Specified by:
        `getRrcontr` in interface `Job`
      Returns:
        the value of the rrcontr attribute

    - #### isSetDlcontr

          public boolean isSetDlcontr()

      Determine if the dlcontr attribute is set
      Specified by:
        `isSetDlcontr` in interface `Job`
      Returns:
        `true` if the dlcontr attribute is set

    - #### setDlcontr

          public void setDlcontr(double aDlcontr)

      Set the dlcontr attribute.
      Parameters:
        `aDlcontr` - the new value for the dlcontr attribute

    - #### getDlcontr

          public double getDlcontr()

      Get the value of the dlcontr attribute.
      Specified by:
        `getDlcontr` in interface `Job`
      Returns:
        the value of the dlcontr attribute

    - #### isSetWtcontr

          public boolean isSetWtcontr()

      Determine if the wtcontr attribute is set
      Specified by:
        `isSetWtcontr` in interface `Job`
      Returns:
        `true` if the wtcontr attribute is set

    - #### setWtcontr

          public void setWtcontr(double aWtcontr)

      Set the wtcontr attribute.
      Parameters:
        `aWtcontr` - the new value for the wtcontr attribute

    - #### getWtcontr

          public double getWtcontr()

      Get the value of the wtcontr attribute.
      Specified by:
        `getWtcontr` in interface `Job`
      Returns:
        the value of the wtcontr attribute

    - #### isSetAr

          public boolean isSetAr()

      Determine if the ar attribute is set
      Specified by:
        `isSetAr` in interface `Job`
      Returns:
        `true` if the ar attribute is set

    - #### setAr

          public void setAr(int aAr)

      Set the ar attribute.
      Specified by:
        `setAr` in interface `Job`
      Parameters:
        `aAr` - the new value for the ar attribute

    - #### getAr

          public int getAr()

      Get the value of the ar attribute.
      Specified by:
        `getAr` in interface `Job`
      Returns:
        the value of the ar attribute

    - #### isSetPty

          public boolean isSetPty()

      Determine if the pty attribute is set
      Specified by:
        `isSetPty` in interface `Job`
      Returns:
        `true` if the pty attribute is set

    - #### setPty

          public void setPty(int aPty)

      Set the pty attribute.
      Specified by:
        `setPty` in interface `Job`
      Parameters:
        `aPty` - the new value for the pty attribute

    - #### getPty

          public int getPty()

      Get the value of the pty attribute.
      Specified by:
        `getPty` in interface `Job`
      Returns:
        the value of the pty attribute

    - #### isSetJaTaskConcurrency

          public boolean isSetJaTaskConcurrency()

      Determine if the jaTaskConcurrency attribute is set
      Specified by:
        `isSetJaTaskConcurrency` in interface `Job`
      Returns:
        `true` if the jaTaskConcurrency attribute is set

    - #### setJaTaskConcurrency

          public void setJaTaskConcurrency(int aJaTaskConcurrency)

      Set the jaTaskConcurrency attribute.
      Specified by:
        `setJaTaskConcurrency` in interface `Job`
      Parameters:
        `aJaTaskConcurrency` - the new value for the jaTaskConcurrency attribute

    - #### getJaTaskConcurrency

          public int getJaTaskConcurrency()

      Get the value of the jaTaskConcurrency attribute.
      Specified by:
        `getJaTaskConcurrency` in interface `Job`
      Returns:
        the value of the jaTaskConcurrency attribute

    - #### addBinding

          public void addBinding(Binding abinding)

      Add a com.sun.grid.jgdi.configuration.Binding attribute.
      Specified by:
        `addBinding` in interface `Job`
      Parameters:
        `abinding` - the new com.sun.grid.jgdi.configuration.Binding attribute

    - #### setBinding

          public void setBinding(int index,
                                 Binding abinding)

      Set a com.sun.grid.jgdi.configuration.Binding attribute.
      Specified by:
        `setBinding` in interface `Job`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Binding attribute
        `abinding` - the new com.sun.grid.jgdi.configuration.Binding attribute

    - #### removeAllBinding

          public void removeAllBinding()

      Remove all com.sun.grid.jgdi.configuration.Binding attributes.
      Specified by:
        `removeAllBinding` in interface `Job`

    - #### removeBinding

          public Binding removeBinding(int index)

      Remote a com.sun.grid.jgdi.configuration.Binding attribute at an index.
      Specified by:
        `removeBinding` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Binding attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Binding attribute or `null` if no attribute at this index is stored

    - #### removeBinding

          public boolean removeBinding(Binding abinding)

      Remote a specific com.sun.grid.jgdi.configuration.Binding attribute.
      Specified by:
        `removeBinding` in interface `Job`
      Parameters:
        `abinding` - the com.sun.grid.jgdi.configuration.Binding attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Binding attribute has been removed

    - #### getBindingList

          public java.util.List<Binding> getBindingList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Binding attributes.
      Specified by:
        `getBindingList` in interface `Job`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Binding attributes

    - #### getBindingCount

          public int getBindingCount()

      Get the number of com.sun.grid.jgdi.configuration.Binding attributes.
      Specified by:
        `getBindingCount` in interface `Job`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Binding attributes.

    - #### getBinding

          public Binding getBinding(int index)

      Get a com.sun.grid.jgdi.configuration.Binding attribute at an index.
      Specified by:
        `getBinding` in interface `Job`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Binding attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Binding attribute

    - #### isSetBinding

          public boolean isSetBinding()

      Determine if the binding attribute is set
      Specified by:
        `isSetBinding` in interface `Job`
      Returns:
        `true` if the binding attribute is set

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `Job`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.